keyboard_LAYOUT= {
    '': {
        '0': '0)0)  @@',
        '1': '1!1!  @@',
        '2': '2@2@  @@',
        '3': '3#3#  @@',
        '4': '4$4$  @@',
        '5': '5%5%  @@',
        '6': '6^6^  @@',
        '7': '7&7&  @@',
        '8': '8*8*  @@',
        '9': '9(9(  @@',
        'A': 'aAaA  @@',
        'B': 'bBbB  @@',
        'C': 'cCcC  @@',
        'D': 'dDdD  @@',
        'E': 'eEeE  @@',
        'F': 'fFfF  @@',
        'G': 'gGgG  @@',
        'H': 'hHhH  @@',
        'I': 'iIiI  @@',
        'J': 'jJjJ  @@',
        'K': 'kKkK  @@',
        'L': 'lLlL  @@',
        'M': 'mMmM  @@',
        'N': 'nNnN  @@',
        'O': 'oOoO  @@',
        'OEM_1': ';:\u201a\u201e    ',
        'OEM_102': '\\|\n\n    ',
        'OEM_2': '/?\xf7\xd7  @@',
        'OEM_3': '`~\xa6\xa4  @@',
        'OEM_4': '[{\u2018\u201c    ',
        'OEM_5': '\\|\xa8\xaf  @@',
        'OEM_6': ']}\u2019\u201d    ',
        'OEM_7': '\'"\xb4\xb0  @ ',
        'OEM_COMMA': ',<\u2039\xab    ',
        'OEM_MINUS': '-_\u2013\u2014    ',
        'OEM_PERIOD': '.>\u203a\xbb    ',
        'OEM_PLUS': '=+\xa1\xb1  @@',
        'P': 'pPpP  @@',
        'Q': 'qQqQ  @@',
        'R': 'rRrR  @@',
        'S': 'sSsS  @@',
        'SPACE': ' \xa0 \xa0  @@',
        'T': 'tTtT  @@',
        'U': 'uUuU  @@',
        'V': 'vVvV  @@',
        'W': 'wWwW  @@',
        'X': 'xXxX  @@',
        'Y': 'yYyY  @@',
        'Z': 'zZzZ  @@'
    },
    ' ': {
        '3': '\u2004\n\u2004\n    ',
        '4': '\u2005\n\u2005\n    ',
        '6': '\u2006\n\u2006\n    ',
        'F': '\u2007\n\u2007\n    ',
        'H': '\u200a\n\u200a\n    ',
        'M': '\u2003\u2001\u2003\u2001    ',
        'N': '\u2002\u2000\u2002\u2000    ',
        'OEM_1': '\xb8\xa8\n\n    ',
        'OEM_3': '\n\u02dc\n\n    ',
        'OEM_4': '`\n\n\n    ',
        'OEM_6': '\xb4\n\n\n    ',
        'OEM_7': '\n\u02da\n\n    ',
        'OEM_COMMA': ',\n\u02db\n    ',
        'OEM_MINUS': '\n\xaf\n\n    ',
        'OEM_PERIOD': '\u02d9\n.\n    ',
        'OEM_PLUS': '\n\u02d8\n\n    ',
        'P': '\u2008\n\u2008\n    ',
        'SPACE': ' \n \n    ',
        'T': '\u2009\n\u2009\n    ',
        'Z': '\u200b\n\u200b\n    '
    },
    '!': {
        '2': '\u203c\n\u203c\n    ',
        'A': '\u01c2\n\u01c2\n    ',
        'B': '\u0298\u02ac\u0298\u02ac    ',
        'C': '\u0297\n\u0297\n    ',
        'D': '\u01c0\u02ad\u01c0\u02ad    ',
        'L': '\u01c1\n\u01c1\n    ',
        'OEM_102': '\n\xa1\n\n    ',
        'OEM_2': '\n\u203d\n\n    ',
        'OEM_5': '\n\xa1\n\n    ',
        'R': '\u01c3\n\u01c3\n    ',
        'S': '\xa1\n\xa1\n    ',
        'SPACE': '!\n!\n    '
    },
    '#': {
        'SPACE': '#\n#\n    '
    },
    '$': {
        'SPACE': '$\n$\n    '
    },
    '%': {
        '0': '\u2030\u2031\u2030\u2031    ',
        'SPACE': '%\n%\n    '
    },
    '&': {
        'SPACE': '&\n&\n    '
    },
    '(': {
        'OEM_102': '\u207d\n\n\n    ',
        'OEM_5': '\u207d\n\u208d\n    ',
        'SPACE': '(\n(\n    '
    },
    ')': {
        'OEM_102': '\u207e\n\n\n    ',
        'OEM_5': '\u207e\n\u208e\n    ',
        'SPACE': ')\n)\n    '
    },
    '*': {
        '1': '\u2020\n\u2020\n    ',
        '2': '\u2021\n\u2021\n    ',
        '3': '\u2042\n\u2042\n    ',
        '8': '\n\u2217\n\u2217    ',
        'OEM_2': '\u22c7\n\n\n    ',
        'OEM_PERIOD': '\xb7\u2022\n\n    ',
        'R': '\u203b\n\u203b\n    ',
        'SPACE': '*\n*\n    ',
        'X': '\xd7\n\xd7\n    '
    },
    '0': {
        '0': '\u24ea\n\u24ea\n    ',
        'OEM_102': '\u2070\n\n\n    ',
        'OEM_5': '\u2070\n\u2080\n    ',
        'SPACE': '0\n0\n    '
    },
    '1': {
        '0': '\u2460\u2474\u2460\u2474    ',
        '2': '\xbd\n\xbd\n    ',
        '4': '\xbc\n\xbc\n    ',
        '8': '\u215b\n\u215b\n    ',
        'OEM_102': '\xb9\n\n\n    ',
        'OEM_2': '\u215f\n\n\n    ',
        'OEM_5': '\xb9\n\u2081\n    ',
        'OEM_PERIOD': '\u2488\n\n\n    ',
        'SPACE': '1\n1\n    '
    },
    '2': {
        '0': '\u2461\u2475\u2461\u2475    ',
        'OEM_102': '\xb2\n\n\n    ',
        'OEM_5': '\xb2\n\u2082\n    ',
        'OEM_MINUS': '\u01bb\n\n\n    ',
        'OEM_PERIOD': '\u2489\n\n\n    ',
        'SPACE': '2\n2\n    '
    },
    '3': {
        '0': '\u2462\u2476\u2462\u2476    ',
        '4': '\xbe\n\xbe\n    ',
        '8': '\u215c\n\u215c\n    ',
        'OEM_102': '\xb3\n\n\n    ',
        'OEM_5': '\xb3\n\u2083\n    ',
        'OEM_PERIOD': '\u248a\n\n\n    ',
        'SPACE': '3\n3\n    '
    },
    '4': {
        '0': '\u2463\u2477\u2463\u2477    ',
        'OEM_102': '\u2074\n\n\n    ',
        'OEM_5': '\u2074\n\u2084\n    ',
        'OEM_PERIOD': '\u248b\n\n\n    ',
        'SPACE': '4\n4\n    '
    },
    '5': {
        '0': '\u2464\u2478\u2464\u2478    ',
        '8': '\u215d\n\u215d\n    ',
        'OEM_102': '\u2075\n\n\n    ',
        'OEM_5': '\u2075\n\u2085\n    ',
        'OEM_PERIOD': '\u248c\n\n\n    ',
        'SPACE': '5\n5\n    '
    },
    '6': {
        '0': '\u2465\u2479\u2465\u2479    ',
        'OEM_102': '\u2076\n\n\n    ',
        'OEM_5': '\u2076\n\u2086\n    ',
        'OEM_PERIOD': '\u248d\n\n\n    ',
        'SPACE': '6\n6\n    '
    },
    '7': {
        '0': '\u2466\u247a\u2466\u247a    ',
        '8': '\u215e\n\u215e\n    ',
        'OEM_102': '\u2077\n\n\n    ',
        'OEM_5': '\u2077\n\u2087\n    ',
        'OEM_PERIOD': '\u248e\n\n\n    ',
        'SPACE': '7\n7\n    '
    },
    '8': {
        '0': '\u2467\u247b\u2467\u247b    ',
        'OEM_102': '\u2078\u221e\n\n    ',
        'OEM_5': '\u2078\u221e\u2088\n    ',
        'OEM_PERIOD': '\u248f\n\n\n    ',
        'SPACE': '8\n8\n    '
    },
    '9': {
        '0': '\u2468\u247c\u2468\u247c    ',
        'OEM_102': '\u2079\n\n\n    ',
        'OEM_5': '\u2079\n\u2089\n    ',
        'OEM_PERIOD': '\u2490\n\n\n    ',
        'SPACE': '9\n9\n    '
    },
    '@': {
        'SPACE': '@\n@\n    '
    },
    'A': {
        '0': '\u24b6\n\u24b6\n    ',
        'E': '\xc6\n\xc6\n    ',
        'OEM_1': '\n\xc4\n\n    ',
        'OEM_2': '\u023a\u1ea2\n\n    ',
        'OEM_3': '\n\xc3\n\n    ',
        'OEM_4': '\xc0\u0200\n\n    ',
        'OEM_6': '\xc1\n\n\n    ',
        'OEM_7': '\n\xc5\n\u1e00    ',
        'OEM_COMMA': '\n\u01cd\u0104\n    ',
        'OEM_MINUS': '\n\u0100\n\n    ',
        'OEM_PERIOD': '\u0226\xc2\u1ea0\n    ',
        'OEM_PLUS': '\u0202\u0102\n\n    ',
        'SPACE': 'A\nA\n    '
    },
    'B': {
        '0': '\u24b7\n\u24b7\n    ',
        'OEM_1': '\n\n\u0181\n    ',
        'OEM_MINUS': '\u0243\n\n\u1e06    ',
        'OEM_PERIOD': '\u1e02\n\u1e04\n    ',
        'SPACE': 'B\nB\n    '
    },
    'C': {
        '0': '\u24b8\n\u24b8\n    ',
        '4': '\n\u20a1\n\u20a1    ',
        'OEM_1': '\xc7\n\u0187\n    ',
        'OEM_102': '\n\u0186\n\n    ',
        'OEM_2': '\u023b\n\n\n    ',
        'OEM_5': '\n\u0186\n\n    ',
        'OEM_6': '\u0106\n\n\n    ',
        'OEM_COMMA': '\n\u010c\n\n    ',
        'OEM_PERIOD': '\u010a\u0108\n\n    ',
        'SPACE': 'C\nC\n    '
    },
    'D': {
        '0': '\u24b9\n\u24b9\n    ',
        'H': '\xd0\n\xd0\n    ',
        'J': '\u01c5\u01c4\u01c5\u01c4    ',
        'OEM_1': '\n\n\u018a\n    ',
        'OEM_4': '\n\n\n\u0189    ',
        'OEM_COMMA': '\u1e10\u010e\n\n    ',
        'OEM_MINUS': '\u0110\n\n\u1e0e    ',
        'OEM_PERIOD': '\u1e0a\n\u1e0c\u1e12    ',
        'SPACE': 'D\nD\n    ',
        'Z': '\u01f2\u01f1\u01f2\u01f1    '
    },
    'E': {
        '0': '\u24ba\n\u24ba\n    ',
        'H': '\u0190\n\u0190\n    ',
        'OEM_1': '\u0228\xcb\n\n    ',
        'OEM_102': '\n\u018e\n\n    ',
        'OEM_2': '\u0246\u1eba\n\n    ',
        'OEM_3': '\n\u1ebc\n\u1e1a    ',
        'OEM_4': '\xc8\u0204\n\n    ',
        'OEM_5': '\n\u018e\u2094\n    ',
        'OEM_6': '\xc9\n\n\n    ',
        'OEM_COMMA': '\n\u011a\u0118\n    ',
        'OEM_MINUS': '\n\u0112\n\n    ',
        'OEM_PERIOD': '\u0116\xca\u1eb8\u1e18    ',
        'OEM_PLUS': '\u0206\u0114\n\n    ',
        'R': '\u018f\n\u018f\n    ',
        'SPACE': 'E\nE\n    '
    },
    'F': {
        '0': '\u24bb\n\u24bb\n    ',
        'OEM_1': '\n\n\u0191\n    ',
        'OEM_102': '\n\u214e\n\n    ',
        'OEM_5': '\n\u214e\n\n    ',
        'OEM_PERIOD': '\u1e1e\n\n\n    ',
        'SPACE': 'F\nF\n    '
    },
    'G': {
        '0': '\u24bc\n\u24bc\n    ',
        'OEM_1': '\n\n\u0193\n    ',
        'OEM_6': '\u01f4\n\n\n    ',
        'OEM_COMMA': '\u0122\u01e6\n\n    ',
        'OEM_MINUS': '\u01e4\u1e20\n\n    ',
        'OEM_PERIOD': '\u0120\u011c\n\n    ',
        'OEM_PLUS': '\n\u011e\n\n    ',
        'R': '\u0194\n\u0194\n    ',
        'SPACE': 'G\nG\n    '
    },
    'H': {
        '0': '\u24bd\n\u24bd\n    ',
        'OEM_1': '\u1e28\u1e26\n\n    ',
        'OEM_COMMA': '\n\u021e\n\u2c67    ',
        'OEM_MINUS': '\u0126\n\n\n    ',
        'OEM_PERIOD': '\u1e22\u0124\u1e24\n    ',
        'OEM_PLUS': '\n\n\n\u1e2a    ',
        'SPACE': 'H\nH\n    ',
        'V': '\u01f6\n\u01f6\n    '
    },
    'I': {
        '0': '\u24be\n\u24be\n    ',
        'J': '\u0132\n\u0132\n    ',
        'O': '\u0196\n\u0196\n    ',
        'OEM_1': '\n\xcf\n\n    ',
        'OEM_2': '\n\u1ec8\n\n    ',
        'OEM_3': '\n\u0128\n\u1e2c    ',
        'OEM_4': '\xcc\u0208\n\n    ',
        'OEM_6': '\xcd\n\n\n    ',
        'OEM_COMMA': '\n\u01cf\u012e\n    ',
        'OEM_MINUS': '\u0197\u012a\n\n    ',
        'OEM_PERIOD': '\u0130\xce\u1eca\n    ',
        'OEM_PLUS': '\u020a\u012c\n\n    ',
        'SPACE': 'I\nI\n    '
    },
    'J': {
        '0': '\u24bf\n\u24bf\n    ',
        'OEM_MINUS': '\u0248\n\n\n    ',
        'OEM_PERIOD': '\n\u0134\n\n    ',
        'SPACE': 'J\nJ\n    '
    },
    'K': {
        '0': '\u24c0\n\u24c0\n    ',
        'OEM_1': '\n\n\u0198\n    ',
        'OEM_6': '\u1e30\n\n\n    ',
        'OEM_COMMA': '\u0136\u01e8\n\u2c69    ',
        'OEM_MINUS': '\n\n\n\u1e34    ',
        'OEM_PERIOD': '\n\n\u1e32\n    ',
        'SPACE': 'K\nK\n    '
    },
    'L': {
        '0': '\u24c1\n\u24c1\n    ',
        'J': '\u01c8\u01c7\u01c8\u01c7    ',
        'OEM_2': '\u0141\n\n\n    ',
        'OEM_3': '\n\n\u2c62\n    ',
        'OEM_6': '\u0139\n\n\n    ',
        'OEM_COMMA': '\u013b\u013d\n\n    ',
        'OEM_MINUS': '\u023d\n\n\u1e3a    ',
        'OEM_PERIOD': '\u013f\n\u1e36\u1e3c    ',
        'OEM_PLUS': '\n\n\u2c60\n    ',
        'SPACE': 'L\nL\n    '
    },
    'M': {
        '0': '\u24c2\n\u24c2\n    ',
        'OEM_102': '\n\u019c\n\n    ',
        'OEM_5': '\n\u019c\n\n    ',
        'OEM_6': '\u1e3e\n\n\n    ',
        'OEM_PERIOD': '\u1e40\n\u1e42\n    ',
        'SPACE': 'M\nM\n    '
    },
    'N': {
        '0': '\u24c3\n\u24c3\n    ',
        'G': '\u014a\n\u014a\n    ',
        'J': '\u01cb\u01ca\u01cb\u01ca    ',
        'OEM_1': '\n\n\u019d\n    ',
        'OEM_3': '\n\xd1\n\n    ',
        'OEM_4': '\u01f8\n\n\n    ',
        'OEM_6': '\u0143\n\n\u0220    ',
        'OEM_COMMA': '\u0145\u0147\n\n    ',
        'OEM_MINUS': '\n\n\n\u1e48    ',
        'OEM_PERIOD': '\u1e44\n\u1e46\u1e4a    ',
        'SPACE': 'N\nN\n    '
    },
    'O': {
        '0': '\u24c4\n\u24c4\n    ',
        'E': '\u0152\n\u0152\n    ',
        'OEM_1': '\n\xd6\n\n    ',
        'OEM_2': '\xd8\u1ece\n\n    ',
        'OEM_3': '\n\xd5\n\n    ',
        'OEM_4': '\xd2\u020c\n\n    ',
        'OEM_6': '\xd3\u0150\n\n    ',
        'OEM_7': '\u01a0\n\n\n    ',
        'OEM_COMMA': '\n\u01d1\u01ea\n    ',
        'OEM_MINUS': '\u019f\u014c\n\n    ',
        'OEM_PERIOD': '\u022e\xd4\u1ecc\n    ',
        'OEM_PLUS': '\u020e\u014e\n\n    ',
        'R': '\u0186\n\u0186\n    ',
        'SPACE': 'O\nO\n    ',
        'U': '\u0222\n\u0222\n    '
    },
    'P': {
        '0': '\u24c5\n\u24c5\n    ',
        'OEM_1': '\n\n\u01a4\n    ',
        'OEM_6': '\u1e54\n\n\n    ',
        'OEM_MINUS': '\u2c63\n\n\n    ',
        'OEM_PERIOD': '\u1e56\n\n\n    ',
        'SPACE': 'P\nP\n    '
    },
    'Q': {
        '0': '\u24c6\n\u24c6\n    ',
        'H': '\u01a2\n\u01a2\n    ',
        'OEM_4': '\n\n\n\u024a    ',
        'SPACE': 'Q\nQ\n    '
    },
    'R': {
        '0': '\u24c7\n\u24c7\n    ',
        'OEM_2': '\u211f\n\n\n    ',
        'OEM_4': '\n\u0210\n\u2c64    ',
        'OEM_6': '\u0154\n\n\n    ',
        'OEM_COMMA': '\u0156\u0158\n\n    ',
        'OEM_MINUS': '\u024c\n\n\u1e5e    ',
        'OEM_PERIOD': '\u1e58\n\u1e5a\n    ',
        'OEM_PLUS': '\u0212\n\n\n    ',
        'SPACE': 'R\nR\n    '
    },
    'S': {
        '0': '\u24c8\n\u24c8\n    ',
        '4': '\n\u20b4\n\u20b4    ',
        'H': '\u01a9\n\u01a9\n    ',
        'OEM_1': '\u015e\n\n\n    ',
        'OEM_6': '\u015a\n\n\n    ',
        'OEM_COMMA': '\u0218\u0160\n\n    ',
        'OEM_PERIOD': '\u1e60\u015c\u1e62\n    ',
        'S': '\u1e9e\n\u1e9e\n    ',
        'SPACE': 'S\nS\n    '
    },
    'T': {
        '0': '\u24c9\n\u24c9\n    ',
        'H': '\xde\n\xde\n    ',
        'OEM_1': '\u0162\n\u01ac\n    ',
        'OEM_2': '\u023e\n\n\n    ',
        'OEM_4': '\n\n\u01ae\n    ',
        'OEM_COMMA': '\u021a\u0164\n\n    ',
        'OEM_MINUS': '\u0166\n\n\u1e6e    ',
        'OEM_PERIOD': '\u1e6a\n\u1e6c\u1e70    ',
        'SPACE': 'T\nT\n    '
    },
    'U': {
        '0': '\u24ca\n\u24ca\n    ',
        'H': '\u01b1\n\u01b1\n    ',
        'OEM_1': '\n\xdc\n\u1e72    ',
        'OEM_2': '\n\u1ee6\n\n    ',
        'OEM_3': '\n\u0168\n\u1e74    ',
        'OEM_4': '\xd9\u0214\n\n    ',
        'OEM_6': '\xda\u0170\n\n    ',
        'OEM_7': '\u01af\u016e\n\n    ',
        'OEM_COMMA': '\n\u01d3\u0172\n    ',
        'OEM_MINUS': '\u0244\u016a\n\n    ',
        'OEM_PERIOD': '\n\xdb\u1ee4\u1e76    ',
        'OEM_PLUS': '\u0216\u016c\n\n    ',
        'SPACE': 'U\nU\n    '
    },
    'V': {
        '0': '\u24cb\n\u24cb\n    ',
        'OEM_1': '\n\n\u01b2\n    ',
        'OEM_102': '\n\u0245\n\n    ',
        'OEM_3': '\n\u1e7c\n\n    ',
        'OEM_5': '\n\u0245\n\n    ',
        'OEM_PERIOD': '\n\n\u1e7e\n    ',
        'SPACE': 'V\nV\n    '
    },
    'W': {
        '0': '\u24cc\n\u24cc\n    ',
        'OEM_1': '\n\u1e84\n\n    ',
        'OEM_4': '\u1e80\n\n\n    ',
        'OEM_6': '\u1e82\n\n\n    ',
        'OEM_PERIOD': '\u1e86\u0174\u1e88\n    ',
        'SPACE': 'W\nW\n    '
    },
    'X': {
        '0': '\u24cd\n\u24cd\n    ',
        'OEM_1': '\n\u1e8c\n\n    ',
        'OEM_PERIOD': '\u1e8a\n\n\n    ',
        'SPACE': 'X\nX\n    '
    },
    'Y': {
        '0': '\u24ce\n\u24ce\n    ',
        'OEM_1': '\n\u0178\u01b3\n    ',
        'OEM_2': '\n\u1ef6\n\n    ',
        'OEM_3': '\n\u1ef8\n\n    ',
        'OEM_4': '\u1ef2\n\n\n    ',
        'OEM_6': '\xdd\n\n\n    ',
        'OEM_MINUS': '\u024e\u0232\n\n    ',
        'OEM_PERIOD': '\u1e8e\u0176\u1ef4\n    ',
        'SPACE': 'Y\nY\n    '
    },
    'Z': {
        '0': '\u24cf\n\u24cf\n    ',
        'H': '\u01b7\n\u01b7\n    ',
        'OEM_1': '\n\n\u0224\n    ',
        'OEM_6': '\u0179\n\n\n    ',
        'OEM_COMMA': '\n\u017d\n\u2c6b    ',
        'OEM_MINUS': '\u01b5\n\n\u1e94    ',
        'OEM_PERIOD': '\u017b\u1e90\u1e92\n    ',
        'SPACE': 'Z\nZ\n    '
    },
    '^': {
        'OEM_2': '\u2041\n\n\n    ',
        'OEM_MINUS': '\n\u2038\n\n    ',
        'SPACE': '^\n^\n    '
    },
    'a': {
        '0': '\u24d0\u249c\u24d0\u249c    ',
        'C': '\u2100\n\u2100\n    ',
        'E': '\xe6\n\xe6\n    ',
        'H': '\u0264\n\u0264\n    ',
        'OEM_1': '\n\xe4\n\n    ',
        'OEM_102': '\xaa\u0250\n\n    ',
        'OEM_2': '\u2c65\u1ea3\n\n    ',
        'OEM_3': '\n\xe3\n\n    ',
        'OEM_4': '\xe0\u0201\u1d8f\n    ',
        'OEM_5': '\xaa\u0250\u2090\u1d00    ',
        'OEM_6': '\xe1\n\n\n    ',
        'OEM_7': '\n\xe5\u1e9a\u1e01    ',
        'OEM_COMMA': '\n\u01ce\u0105\n    ',
        'OEM_MINUS': '\n\u0101\n\n    ',
        'OEM_PERIOD': '\u0227\xe2\u1ea1\n    ',
        'OEM_PLUS': '\u0203\u0103\n\n    ',
        'R': '\u0251\n\u0251\n    ',
        'S': '\u2101\n\u2101\n    ',
        'SPACE': 'a\na\n    '
    },
    'b': {
        '0': '\u24d1\u249d\u24d1\u249d    ',
        'OEM_1': '\n\n\u0253\n    ',
        'OEM_3': '\n\n\u1d6c\n    ',
        'OEM_5': '\n\n\n\u0299    ',
        'OEM_6': '\n\n\u1d80\n    ',
        'OEM_MINUS': '\u0180\n\n\u1e07    ',
        'OEM_PERIOD': '\u1e03\n\u1e05\n    ',
        'SPACE': 'b\nb\n    '
    },
    'c': {
        '0': '\u24d2\u249e\u24d2\u249e    ',
        '4': '\n\xa2\n\xa2    ',
        'L': '\u2104\n\u2104\n    ',
        'M': '\xa9\n\xa9\n    ',
        'O': '\u2105\n\u2105\n    ',
        'OEM_1': '\xe7\n\u0188\n    ',
        'OEM_102': '\n\u0254\n\n    ',
        'OEM_2': '\u023c\n\u0255\n    ',
        'OEM_5': '\n\u0254\n\u1d04    ',
        'OEM_6': '\u0107\n\n\n    ',
        'OEM_COMMA': '\n\u010d\n\n    ',
        'OEM_PERIOD': '\u010b\u0109\n\n    ',
        'SPACE': 'c\nc\n    ',
        'U': '\u2106\n\u2106\n    '
    },
    'd': {
        '0': '\u24d3\u249f\u24d3\u249f    ',
        '4': '\n\u20ab\n\u20ab    ',
        'B': '\u0238\n\u0238\n    ',
        'H': '\xf0\n\xf0\n    ',
        'J': '\u01c6\u02a4\u01c6\u02a4    ',
        'OEM_1': '\n\n\u0257\n    ',
        'OEM_2': '\n\n\u0221\n    ',
        'OEM_3': '\n\n\u1d6d\n    ',
        'OEM_4': '\n\n\u1d91\u0256    ',
        'OEM_5': '\n\n\n\u1d05    ',
        'OEM_6': '\n\n\u1d81\n    ',
        'OEM_COMMA': '\u1e11\u010f\n\n    ',
        'OEM_MINUS': '\u0111\n\n\u1e0f    ',
        'OEM_PERIOD': '\u1e0b\n\u1e0d\u1e13    ',
        'SPACE': 'd\nd\n    ',
        'Z': '\u01f3\u02a3\u01f3\u02a3    '
    },
    'e': {
        '0': '\u24d4\u24a0\u24d4\u24a0    ',
        '4': '\n\u20ac\n\u20ac    ',
        'H': '\u025b\n\u025b\n    ',
        'OEM_1': '\u0228\xeb\n\n    ',
        'OEM_102': '\n\u01dd\n\n    ',
        'OEM_2': '\u0247\u1ebb\n\n    ',
        'OEM_3': '\n\u1ebd\n\u1e1b    ',
        'OEM_4': '\xe8\u0205\u1d92\n    ',
        'OEM_5': '\n\u01dd\u2091\u1d07    ',
        'OEM_6': '\xe9\n\n\n    ',
        'OEM_COMMA': '\n\u011b\u0119\n    ',
        'OEM_MINUS': '\n\u0113\n\n    ',
        'OEM_PERIOD': '\u0117\xea\u1eb9\u1e19    ',
        'OEM_PLUS': '\u0207\u0115\n\n    ',
        'R': '\u0259\u025a\u0259\u025a    ',
        'S': '\u212e\n\u212e\n    ',
        'SPACE': 'e\ne\n    '
    },
    'f': {
        '0': '\u24d5\u24a1\u24d5\u24a1    ',
        'F': '\ufb00\n\ufb00\n    ',
        'I': '\ufb01\ufb03\ufb01\ufb03    ',
        'L': '\ufb02\ufb04\ufb02\ufb04    ',
        'N': '\u02a9\n\u02a9\n    ',
        'OEM_1': '\n\n\u0192\n    ',
        'OEM_3': '\n\n\u1d6e\n    ',
        'OEM_6': '\n\n\u1d82\n    ',
        'OEM_PERIOD': '\u1e1f\n\n\n    ',
        'SPACE': 'f\nf\n    '
    },
    'g': {
        '0': '\u24d6\u24a2\u24d6\u24a2    ',
        '4': '\n\u20b2\n\u20b2    ',
        'G': '\u0261\n\u0261\n    ',
        'H': '\u021d\u1d79\u021d\u1d79    ',
        'OEM_1': '\n\n\u0260\n    ',
        'OEM_102': '\n\u1d77\n\n    ',
        'OEM_5': '\n\u1d77\n\u0262    ',
        'OEM_6': '\u01f5\n\u1d83\n    ',
        'OEM_COMMA': '\u0123\u01e7\n\n    ',
        'OEM_MINUS': '\u01e5\u1e21\n\n    ',
        'OEM_PERIOD': '\u0121\u011d\n\n    ',
        'OEM_PLUS': '\n\u011f\n\n    ',
        'R': '\u0263\u029b\u0263\u029b    ',
        'SPACE': 'g\ng\n    '
    },
    'h': {
        '0': '\u24d7\u24a3\u24d7\u24a3    ',
        'N': '\u0267\n\u0267\n    ',
        'OEM_1': '\u1e29\u1e27\u0266\n    ',
        'OEM_102': '\n\u0265\n\n    ',
        'OEM_5': '\n\u0265\n\u029c    ',
        'OEM_COMMA': '\n\u021f\n\u2c68    ',
        'OEM_MINUS': '\u0127\n\n\u1e96    ',
        'OEM_PERIOD': '\u1e23\u0125\u1e25\n    ',
        'OEM_PLUS': '\n\n\n\u1e2b    ',
        'R': '\u0281\n\u0281\n    ',
        'SPACE': 'h\nh\n    ',
        'V': '\u0195\n\u0195\n    '
    },
    'i': {
        '0': '\u24d8\u24a4\u24d8\u24a4    ',
        'H': '\u0258\n\u0258\n    ',
        'J': '\u0133\n\u0133\n    ',
        'O': '\u0269\n\u0269\n    ',
        'OEM_1': '\n\xef\n\n    ',
        'OEM_102': '\u2071\u1d09\n\n    ',
        'OEM_2': '\n\u1ec9\n\n    ',
        'OEM_3': '\n\u0129\n\u1e2d    ',
        'OEM_4': '\xec\u0209\u1d96\n    ',
        'OEM_5': '\u2071\u1d09\n\u026a    ',
        'OEM_6': '\xed\n\n\n    ',
        'OEM_COMMA': '\n\u01d0\u012f\n    ',
        'OEM_MINUS': '\u0268\u012b\n\n    ',
        'OEM_PERIOD': '\u0131\xee\u1ecb\n    ',
        'OEM_PLUS': '\u020b\u012d\n\n    ',
        'R': '\u025c\u025d\u025c\u025d    ',
        'SPACE': 'i\ni\n    '
    },
    'j': {
        '0': '\u24d9\u24a5\u24d9\u24a5    ',
        'OEM_2': '\n\n\u029d\n    ',
        'OEM_5': '\n\n\n\u1d0a    ',
        'OEM_COMMA': '\n\u01f0\n\n    ',
        'OEM_MINUS': '\u0249\n\n\n    ',
        'OEM_PERIOD': '\u0237\u0135\n\n    ',
        'R': '\u025f\u0284\u025f\u0284    ',
        'SPACE': 'j\nj\n    '
    },
    'k': {
        '0': '\u24da\u24a6\u24da\u24a6    ',
        '4': '\n\u20ad\n\u20ad    ',
        'H': '\u0138\n\u0138\n    ',
        'OEM_1': '\n\n\u0199\n    ',
        'OEM_102': '\n\u029e\n\n    ',
        'OEM_5': '\n\u029e\n\u1d0b    ',
        'OEM_6': '\u1e31\n\u1d84\n    ',
        'OEM_COMMA': '\u0137\u01e9\n\u2c6a    ',
        'OEM_MINUS': '\n\n\n\u1e35    ',
        'OEM_PERIOD': '\n\n\u1e33\n    ',
        'SPACE': 'k\nk\n    '
    },
    'l': {
        '0': '\u24db\u24a7\u24db\u24a7    ',
        '4': '\n\xa3\n\xa3    ',
        'B': '\u2114\n\u2114\n    ',
        'J': '\u01c9\n\u01c9\n    ',
        'OEM_2': '\u0142\n\u0234\n    ',
        'OEM_3': '\n\n\u026b\n    ',
        'OEM_4': '\n\n\u026d\n    ',
        'OEM_5': '\n\n\n\u029f    ',
        'OEM_6': '\u013a\n\u1d85\n    ',
        'OEM_COMMA': '\u013c\u013e\n\n    ',
        'OEM_MINUS': '\u019a\n\u026c\u1e3b    ',
        'OEM_PERIOD': '\u0140\n\u1e37\u1e3d    ',
        'OEM_PLUS': '\n\n\u2c61\n    ',
        'R': '\u027a\n\u027a\n    ',
        'S': '\u02aa\n\u02aa\n    ',
        'SPACE': 'l\nl\n    ',
        'Z': '\u02ab\u026e\u02ab\u026e    '
    },
    'm': {
        '0': '\u24dc\u24a8\u24dc\u24a8    ',
        '4': '\n\u20a5\n\u20a5    ',
        'O': '\u2127\n\u2127\n    ',
        'OEM_1': '\n\n\u0271\n    ',
        'OEM_102': '\n\u026f\n\n    ',
        'OEM_3': '\n\n\u1d6f\n    ',
        'OEM_5': '\n\u026f\n\u1d0d    ',
        'OEM_6': '\u1e3f\n\u1d86\n    ',
        'OEM_PERIOD': '\u1e41\n\u1e43\n    ',
        'SPACE': 'm\nm\n    ',
        'U': '\xb5\n\xb5\n    '
    },
    'n': {
        '0': '\u24dd\u24a9\u24dd\u24a9    ',
        '4': '\n\u20a6\n\u20a6    ',
        'G': '\u014b\n\u014b\n    ',
        'J': '\u01cc\n\u01cc\n    ',
        'O': '\u2116\n\u2116\n    ',
        'OEM_1': '\n\n\u0272\n    ',
        'OEM_102': '\u207f\n\n\n    ',
        'OEM_2': '\n\n\u0235\n    ',
        'OEM_3': '\n\xf1\u1d70\n    ',
        'OEM_4': '\u01f9\n\u0273\n    ',
        'OEM_5': '\u207f\n\n\u0274    ',
        'OEM_6': '\u0144\n\u1d87\u019e    ',
        'OEM_COMMA': '\u0146\u0148\n\n    ',
        'OEM_MINUS': '\n\n\n\u1e49    ',
        'OEM_PERIOD': '\u1e45\n\u1e47\u1e4b    ',
        'SPACE': 'n\nn\n    '
    },
    'o': {
        '0': '\u24de\u24aa\u24de\u24aa    ',
        'E': '\u0153\u0276\u0153\u0276    ',
        'H': '\u0252\n\u0252\n    ',
        'M': '\u2126\n\u2126\n    ',
        'OEM_1': '\n\xf6\n\n    ',
        'OEM_102': '\xba\n\n\n    ',
        'OEM_2': '\xf8\u1ecf\n\n    ',
        'OEM_3': '\n\xf5\n\n    ',
        'OEM_4': '\xf2\u020d\n\n    ',
        'OEM_5': '\xba\n\u2092\u1d0f    ',
        'OEM_6': '\xf3\u0151\n\n    ',
        'OEM_7': '\u01a1\n\n\n    ',
        'OEM_COMMA': '\n\u01d2\u01eb\n    ',
        'OEM_MINUS': '\u0275\u014d\n\n    ',
        'OEM_PERIOD': '\u022f\xf4\u1ecd\n    ',
        'OEM_PLUS': '\u020f\u014f\n\n    ',
        'R': '\u0254\n\u0254\n    ',
        'SPACE': 'o\no\n    ',
        'U': '\u0223\n\u0223\n    ',
        'Z': '\u2125\n\u2125\n    '
    },
    'p': {
        '0': '\u24df\u24ab\u24df\u24ab    ',
        '4': '\n\u20b1\n\u20b1    ',
        'C': '\xb6\n\xb6\n    ',
        'H': '\u0278\n\u0278\n    ',
        'M': '\u2117\n\u2117\n    ',
        'OEM_1': '\n\n\u01a5\n    ',
        'OEM_3': '\n\n\u1d71\n    ',
        'OEM_5': '\n\n\n\u1d18    ',
        'OEM_6': '\u1e55\n\u1d88\n    ',
        'OEM_MINUS': '\u1d7d\n\n\n    ',
        'OEM_PERIOD': '\u1e57\n\n\n    ',
        'SPACE': 'p\np\n    '
    },
    'q': {
        '0': '\u24e0\u24ac\u24e0\u24ac    ',
        'H': '\u01a3\n\u01a3\n    ',
        'OEM_1': '\n\n\u02a0\n    ',
        'OEM_4': '\n\n\n\u024b    ',
        'P': '\u0239\n\u0239\n    ',
        'SPACE': 'q\nq\n    '
    },
    'r': {
        '0': '\u24e1\u24ad\u24e1\u24ad    ',
        '4': '\n\u20a8\n\u20a8    ',
        'H': '\u01a6\n\u01a6\n    ',
        'M': '\xae\n\xae\n    ',
        'OEM_102': '\n\u0279\n\n    ',
        'OEM_3': '\n\n\u1d72\n    ',
        'OEM_4': '\n\u0211\n\u027d    ',
        'OEM_5': '\n\u0279\n\u0280    ',
        'OEM_6': '\u0155\n\u1d89\u027c    ',
        'OEM_COMMA': '\u0157\u0159\n\n    ',
        'OEM_MINUS': '\u024d\n\n\u1e5f    ',
        'OEM_PERIOD': '\u1e59\n\u1e5b\n    ',
        'OEM_PLUS': '\u0213\n\n\n    ',
        'R': '\u027e\n\u027e\n    ',
        'SPACE': 'r\nr\n    ',
        'X': '\u211e\n\u211e\n    '
    },
    's': {
        '0': '\u24e2\u24ae\u24e2\u24ae    ',
        '4': '\n\u20aa\n\u20aa    ',
        'C': '\xa7\n\xa7\n    ',
        'H': '\u0283\n\u0283\n    ',
        'M': '\u2120\n\u2120\n    ',
        'OEM_1': '\u015f\n\u0282\n    ',
        'OEM_3': '\n\n\u1d74\n    ',
        'OEM_4': '\n\n\n\u023f    ',
        'OEM_6': '\u015b\n\u1d8a\n    ',
        'OEM_COMMA': '\u0219\u0161\n\n    ',
        'OEM_PERIOD': '\u1e61\u015d\u1e63\n    ',
        'S': '\xdf\u017f\xdf\u017f    ',
        'SPACE': 's\ns\n    ',
        'T': '\ufb06\ufb05\ufb06\ufb05    '
    },
    't': {
        '0': '\u24e3\u24af\u24e3\u24af    ',
        '4': '\n\u20ae\n\u20ae    ',
        'C': '\u02a8\n\u02a8\n    ',
        'E': '\u2121\n\u2121\n    ',
        'H': '\xfe\n\xfe\n    ',
        'M': '\u2122\n\u2122\n    ',
        'OEM_1': '\u0163\u1e97\u01ad\n    ',
        'OEM_102': '\n\u0287\n\n    ',
        'OEM_2': '\u2c66\n\u0236\n    ',
        'OEM_3': '\n\n\u1d75\n    ',
        'OEM_4': '\n\n\u0288\n    ',
        'OEM_5': '\n\u0287\n\u1d1b    ',
        'OEM_6': '\n\n\u01ab\n    ',
        'OEM_COMMA': '\u021b\u0165\n\n    ',
        'OEM_MINUS': '\u0167\n\n\u1e6f    ',
        'OEM_PERIOD': '\u1e6b\n\u1e6d\u1e71    ',
        'S': '\u02a6\u02a7\u02a6\u02a7    ',
        'SPACE': 't\nt\n    ',
        'Z': '\u01be\n\u01be\n    '
    },
    'u': {
        '0': '\u24e4\u24b0\u24e4\u24b0    ',
        'E': '\u1d6b\n\u1d6b\n    ',
        'H': '\u028a\n\u028a\n    ',
        'OEM_1': '\n\xfc\n\u1e73    ',
        'OEM_2': '\n\u1ee7\n\n    ',
        'OEM_3': '\n\u0169\n\u1e75    ',
        'OEM_4': '\xf9\u0215\u1d99\n    ',
        'OEM_5': '\n\n\n\u1d1c    ',
        'OEM_6': '\xfa\u0171\n\n    ',
        'OEM_7': '\u01b0\u016f\n\n    ',
        'OEM_COMMA': '\n\u01d4\u0173\n    ',
        'OEM_MINUS': '\u0289\u016b\n\n    ',
        'OEM_PERIOD': '\n\xfb\u1ee5\u1e77    ',
        'OEM_PLUS': '\u0217\u016d\n\n    ',
        'R': '\u025e\n\u025e\n    ',
        'SPACE': 'u\nu\n    '
    },
    'v': {
        '0': '\u24e5\u24b1\u24e5\u24b1    ',
        'OEM_1': '\n\n\u028b\n    ',
        'OEM_102': '\n\u028c\n\n    ',
        'OEM_2': '\n\n\u2c74\n    ',
        'OEM_3': '\n\u1e7d\n\n    ',
        'OEM_5': '\n\u028c\n\u1d20    ',
        'OEM_6': '\n\n\u1d8c\n    ',
        'OEM_PERIOD': '\n\n\u1e7f\n    ',
        'SPACE': 'v\nv\n    '
    },
    'w': {
        '0': '\u24e6\u24b2\u24e6\u24b2    ',
        '4': '\n\u20a9\n\u20a9    ',
        'H': '\u01bf\n\u01bf\n    ',
        'OEM_1': '\n\u1e85\n\n    ',
        'OEM_102': '\n\u028d\n\n    ',
        'OEM_4': '\u1e81\n\n\n    ',
        'OEM_5': '\n\u028d\n\u1d21    ',
        'OEM_6': '\u1e83\n\n\n    ',
        'OEM_7': '\n\u1e98\n\n    ',
        'OEM_PERIOD': '\u1e87\u0175\u1e89\n    ',
        'R': '\u0270\n\u0270\n    ',
        'SPACE': 'w\nw\n    '
    },
    'x': {
        '0': '\u24e7\u24b3\u24e7\u24b3    ',
        '4': '\n\xa4\n\xa4    ',
        'OEM_1': '\n\u1e8d\n\n    ',
        'OEM_5': '\n\n\u2093\n    ',
        'OEM_6': '\n\n\u1d8d\n    ',
        'OEM_PERIOD': '\u1e8b\n\n\n    ',
        'SPACE': 'x\nx\n    '
    },
    'y': {
        '0': '\u24e8\u24b4\u24e8\u24b4    ',
        '4': '\n\xa5\n\xa5    ',
        'H': '\u1d25\n\u1d25\n    ',
        'OEM_1': '\n\xff\u01b4\n    ',
        'OEM_102': '\n\u028e\n\n    ',
        'OEM_2': '\n\u1ef7\n\n    ',
        'OEM_3': '\n\u1ef9\n\n    ',
        'OEM_4': '\u1ef3\n\n\n    ',
        'OEM_5': '\n\u028e\n\u028f    ',
        'OEM_6': '\xfd\n\n\n    ',
        'OEM_7': '\n\u1e99\n\n    ',
        'OEM_MINUS': '\u024f\u0233\n\n    ',
        'OEM_PERIOD': '\u1e8f\u0177\u1ef5\n    ',
        'SPACE': 'y\ny\n    '
    },
    'z': {
        '0': '\u24e9\u24b5\u24e9\u24b5    ',
        'H': '\u0292\n\u0292\n    ',
        'OEM_1': '\n\n\u0225\n    ',
        'OEM_2': '\n\n\u0291\n    ',
        'OEM_3': '\n\n\u1d76\n    ',
        'OEM_4': '\n\n\u0290\u0240    ',
        'OEM_5': '\n\n\n\u1d22    ',
        'OEM_6': '\u017a\n\u1d8e\n    ',
        'OEM_COMMA': '\n\u017e\n\u2c6c    ',
        'OEM_MINUS': '\u01b6\n\n\u1e95    ',
        'OEM_PERIOD': '\u017c\u1e91\u1e93\n    ',
        'SPACE': 'z\nz\n    '
    },
    '\xa0': {
        '0': '\u0319\u035c\u0319\u035c    ',
        '1': '\u030d\n\u030d\n    ',
        '2': '\u0329\n\u0329\n    ',
        '3': '\u033b\n\u033b\n    ',
        '4': '\u032a\n\u032a\n    ',
        '5': '\u033a\n\u033a\n    ',
        '6': '\u0346\u031a\u0346\u031a    ',
        '7': '\u031d\u0320\u031d\u0320    ',
        '8': '\u031e\u031f\u031e\u031f    ',
        '9': '\u0318\u0361\u0318\u0361    ',
        'A': '\u0363\n\u0363\n    ',
        'C': '\u0368\n\u0368\n    ',
        'D': '\u0369\n\u0369\n    ',
        'E': '\u0364\n\u0364\n    ',
        'H': '\u036a\n\u036a\n    ',
        'I': '\u0365\n\u0365\n    ',
        'M': '\u036b\n\u036b\n    ',
        'O': '\u0366\n\u0366\n    ',
        'OEM_1': '\u0327\u0308\n\u0324    ',
        'OEM_2': '\u0337\u0309\u0338\n    ',
        'OEM_3': '\n\u0303\u0334\u0330    ',
        'OEM_4': '\u0300\u030f\u0322\u033c    ',
        'OEM_6': '\u0301\u030b\u0321\u032b    ',
        'OEM_7': '\u031b\u030a\u0357\u0325    ',
        'OEM_COMMA': '\u0326\u030c\u0328\u032c    ',
        'OEM_MINUS': '\u0335\u0304\u0336\u0331    ',
        'OEM_PERIOD': '\u0307\u0302\u0323\u032d    ',
        'OEM_PLUS': '\u0311\u0306\u032f\u032e    ',
        'R': '\u036c\u1dca\u036c\u1dca    ',
        'SPACE': 'a\na\n    ',
        'T': '\u036d\n\u036d\n    ',
        'U': '\u0367\n\u0367\n    ',
        'V': '\u036e\n\u036e\n    ',
        'X': '\u036f\u033d\u036f\u033d    '
    },
    '\xa1': {
        '0': '\u22a2\n\u22a2\n    ',
        '7': '\u22a5\n\u22a5\n    ',
        '8': '\u22a4\n\u22a4\n    ',
        '9': '\u22a3\n\u22a3\n    ',
        'OEM_102': '\u207c\n\n\n    ',
        'OEM_2': '\u2260\n\n\n    ',
        'OEM_3': '\n\u2248\n\n    ',
        'OEM_5': '\u207c\n\u208c\n    ',
        'OEM_COMMA': '\n\u2264\n\n    ',
        'OEM_MINUS': '\u2261\u2017\n\n    ',
        'OEM_PERIOD': '\n\u2265\n\n    ',
        'SPACE': '=\xa1=\xa1    '
    },
    '\xa4': {
        '0': '\u263b\u263a\u263b\u263a    ',
        '1': '\u2660\u2664\u2660\u2664    ',
        '2': '\u2665\u2661\u2665\u2661    ',
        '3': '\u2666\u2662\u2666\u2662    ',
        '4': '\u2663\u2667\u2663\u2667    ',
        '5': '\u25a0\u25a1\u25a0\u25a1    ',
        '6': '\u25cf\u25cb\u25cf\u25cb    ',
        '7': '\u2605\u2606\u2605\u2606    ',
        '8': '\u260e\u260f\u260e\u260f    ',
        '9': '\u2600\u263c\u2600\u263c    ',
        'A': '\u2190\u21d0\u2190\u21d0    ',
        'B': '\u266a\u266d\u266a\u266d    ',
        'C': '\u2198\u21d8\u2198\u21d8    ',
        'D': '\u2192\u21d2\u2192\u21d2    ',
        'E': '\u2197\u21d7\u2197\u21d7    ',
        'F': '\u2194\u21d4\u2194\u21d4    ',
        'G': '\u2640\u2642\u2640\u2642    ',
        'H': '\u2622\u2623\u2622\u2623    ',
        'I': '\u2603\u261d\u2603\u261d    ',
        'J': '\u261a\u261c\u261a\u261c    ',
        'K': '\u2302\u261f\u2302\u261f    ',
        'L': '\u261b\u261e\u261b\u261e    ',
        'M': '\u266c\u266f\u266c\u266f    ',
        'N': '\u266b\u266e\u266b\u266e    ',
        'O': '\u2601\u2602\u2601\u2602    ',
        'P': '\u2620\u2639\u2620\u2639    ',
        'Q': '\u2196\u21d6\u2196\u21d6    ',
        'R': '\u2195\u21d5\u2195\u21d5    ',
        'S': '\u21bb\u21ba\u21bb\u21ba    ',
        'SPACE': '\xac\xa4\xac\xa4    ',
        'T': '\u262a\u262d\u262a\u262d    ',
        'U': '\u2624\u2625\u2624\u2625    ',
        'V': '\u2669\u2668\u2669\u2668    ',
        'W': '\u2191\u21d1\u2191\u21d1    ',
        'X': '\u2193\u21d3\u2193\u21d3    ',
        'Y': '\u262f\u262e\u262f\u262e    ',
        'Z': '\u2199\u21d9\u2199\u21d9    '
    },
    '\xa6': {
        'A': '\u03b1\u0391\u03b1\u0391    ',
        'B': '\u03b2\u0392\u03b2\u0392    ',
        'C': '\u03c8\u03a8\u03c8\u03a8    ',
        'D': '\u03b4\u0394\u03b4\u0394    ',
        'E': '\u03b5\u0395\u03b5\u0395    ',
        'F': '\u03c6\u03a6\u03c6\u03a6    ',
        'G': '\u03b3\u0393\u03b3\u0393    ',
        'H': '\u03b7\u0397\u03b7\u0397    ',
        'I': '\u03b9\u0399\u03b9\u0399    ',
        'J': '\u03be\u039e\u03be\u039e    ',
        'K': '\u03ba\u039a\u03ba\u039a    ',
        'L': '\u03bb\u039b\u03bb\u039b    ',
        'M': '\u03bc\u039c\u03bc\u039c    ',
        'N': '\u03bd\u039d\u03bd\u039d    ',
        'O': '\u03bf\u039f\u03bf\u039f    ',
        'OEM_1': '\u037e\n\n\n    ',
        'OEM_7': '\u0374\n\n\n    ',
        'OEM_COMMA': '\u0375\n\n\n    ',
        'OEM_PERIOD': '\u0387\n\n\n    ',
        'P': '\u03c0\u03a0\u03c0\u03a0    ',
        'R': '\u03c1\u03a1\u03c1\u03a1    ',
        'S': '\u03c3\u03a3\u03c3\u03a3    ',
        'SPACE': '`\xa6`\xa6    ',
        'T': '\u03c4\u03a4\u03c4\u03a4    ',
        'U': '\u03b8\u0398\u03b8\u0398    ',
        'V': '\u03c9\u03a9\u03c9\u03a9    ',
        'W': '\u03c2\n\u03c2\n    ',
        'X': '\u03c7\u03a7\u03c7\u03a7    ',
        'Y': '\u03c5\u03a5\u03c5\u03a5    ',
        'Z': '\u03b6\u0396\u03b6\u0396    '
    },
    '\xa8': {
        '0': '\u02d2\u02be\u02d2\u02be    ',
        '1': '\u02c8\u02e9\u02c8\u02e9    ',
        '2': '\u02cc\u02e8\u02cc\u02e8    ',
        '3': '\n\u02e7\n\u02e7    ',
        '4': '\n\u02e6\n\u02e6    ',
        '5': '\n\u02e5\n\u02e5    ',
        '7': '\u02d4\n\u02d4\n    ',
        '8': '\u02d5\n\u02d5\n    ',
        '9': '\u02d3\u02bf\u02d3\u02bf    ',
        'A': '\u1d43\u1d2c\u1d43\u1d2c    ',
        'B': '\u1d47\u1d2e\u1d47\u1d2e    ',
        'C': '\u1d9c\n\u1d9c\n    ',
        'D': '\u1d48\u1d30\u1d48\u1d30    ',
        'E': '\u1d49\u1d31\u1d49\u1d31    ',
        'F': '\u1da0\n\u1da0\n    ',
        'G': '\u1d4d\u1d33\u1d4d\u1d33    ',
        'H': '\u02b0\u1d34\u02b0\u1d34    ',
        'I': '\n\u1d35\n\u1d35    ',
        'J': '\u02b2\u1d36\u02b2\u1d36    ',
        'K': '\u1d4f\u1d37\u1d4f\u1d37    ',
        'L': '\u02e1\u1d38\u02e1\u1d38    ',
        'M': '\u1d50\u1d39\u1d50\u1d39    ',
        'N': '\u02b1\u1d3a\u02b1\u1d3a    ',
        'O': '\u1d52\u1d3c\u1d52\u1d3c    ',
        'OEM_1': '\u02d1\u02d0\u02de\n    ',
        'OEM_4': '\u02cb\n\u02ce\n    ',
        'OEM_6': '\u02ca\n\u02cf\n    ',
        'OEM_7': '\u02bc\n\u02c0\u02c1    ',
        'OEM_COMMA': '\n\u02c7\n\n    ',
        'OEM_MINUS': '\n\u02c9\n\u02cd    ',
        'OEM_PERIOD': '\n\u02c6\n\n    ',
        'P': '\u1d56\u1d3e\u1d56\u1d3e    ',
        'R': '\u02b3\u1d3f\u02b3\u1d3f    ',
        'S': '\u02e2\u1d4a\u02e2\u1d4a    ',
        'SPACE': '\\\xa8\\\xa8    ',
        'T': '\u1d57\u1d40\u1d57\u1d40    ',
        'U': '\u1d58\u1d41\u1d58\u1d41    ',
        'V': '\u1d5b\n\u1d5b\n    ',
        'W': '\u02b7\u1d42\u02b7\u1d42    ',
        'X': '\u02e3\u02df\u02e3\u02df    ',
        'Y': '\u02b8\u02e0\u02b8\u02e0    ',
        'Z': '\u1dbb\n\u1dbb\n    '
    },
    '\xaf': {
        '2': '\u2016\n\u2016\n    ',
        'B': '\xa6\n\xa6\n    ',
        'F': '\u2012\n\u2012\n    ',
        'H': '\u2015\n\u2015\n    ',
        'SPACE': '|\xaf|\xaf    '
    },
    '\xb1': {
        'OEM_102': '\u207a\n\n\n    ',
        'OEM_5': '\u207a\n\u208a\n    ',
        'OEM_MINUS': '\xb1\u2213\n\n    ',
        'OEM_PERIOD': '\u2214\n\n\n    ',
        'SPACE': '+\xb1+\xb1    '
    },
    '\xb4': {
        '1': '\u2032\u2035\u2032\u2035    ',
        '2': '\u2033\u2036\u2033\u2036    ',
        '3': '\u2034\u2037\u2034\u2037    ',
        '4': '\u2057\n\u2057\n    ',
        'E': '\u02a1\n\u02a1\n    ',
        'F': '\u02a2\n\u02a2\n    ',
        'G': '\u0294\n\u0294\n    ',
        'L': '\u1d24\n\u1d24\n    ',
        'N': '\u0149\n\u0149\n    ',
        'OEM_102': '\n\u02bb\n\n    ',
        'OEM_5': '\n\u02bb\n\n    ',
        'P': '\u0295\n\u0295\n    ',
        'S': '\u0242\u0241\u0242\u0241    ',
        'SPACE': "'\xb4'\xb4    "
    },
    '\xd7': {
        '1': '\n\u203d\n\u203d    ',
        'OEM_102': '\n\xbf\n\n    ',
        'OEM_5': '\n\xbf\n\n    ',
        'R': '\ufffd\n\ufffd\n    ',
        'SPACE': '?\xd7?\xd7    '
    },
    '\xf7': {
        '2': '\u221a\n\u221a\n    ',
        '3': '\u221b\n\u221b\n    ',
        '4': '\u221c\n\u221c\n    ',
        'D': '\u2215\n\u2215\n    ',
        'F': '\u2044\n\u2044\n    ',
        'OEM_1': '\n\xf7\n\n    ',
        'OEM_102': '\u207b\n\n\n    ',
        'OEM_5': '\u207b\n\u208b\n    ',
        'SPACE': '/\xf7/\xf7    '
    }
}

keyboard_CHARNAMES= {
    ' ': 'Space',
    '!': 'Exclamation Mark',
    '"': 'Quotation Mark',
    '#': 'Number Sign',
    '$': 'Dollar Sign',
    '%': 'Percent Sign',
    '&': 'Ampersand',
    "'": 'Apostrophe',
    '(': 'Left Parenthesis',
    ')': 'Right Parenthesis',
    '*': 'Asterisk',
    '+': 'Plus Sign',
    ',': 'Comma',
    '-': 'Hyphen-Minus',
    '.': 'Full Stop',
    '/': 'Solidus',
    '0': 'Digit Zero',
    '1': 'Digit One',
    '2': 'Digit Two',
    '3': 'Digit Three',
    '4': 'Digit Four',
    '5': 'Digit Five',
    '6': 'Digit Six',
    '7': 'Digit Seven',
    '8': 'Digit Eight',
    '9': 'Digit Nine',
    ':': 'Colon',
    ';': 'Semicolon',
    '<': 'Less-Than Sign',
    '=': 'Equals Sign',
    '>': 'Greater-Than Sign',
    '?': 'Question Mark',
    '@': 'Commercial At',
    'A': 'Latin Capital Letter A',
    'B': 'Latin Capital Letter B',
    'C': 'Latin Capital Letter C',
    'D': 'Latin Capital Letter D',
    'E': 'Latin Capital Letter E',
    'F': 'Latin Capital Letter F',
    'G': 'Latin Capital Letter G',
    'H': 'Latin Capital Letter H',
    'I': 'Latin Capital Letter I',
    'J': 'Latin Capital Letter J',
    'K': 'Latin Capital Letter K',
    'L': 'Latin Capital Letter L',
    'M': 'Latin Capital Letter M',
    'N': 'Latin Capital Letter N',
    'O': 'Latin Capital Letter O',
    'P': 'Latin Capital Letter P',
    'Q': 'Latin Capital Letter Q',
    'R': 'Latin Capital Letter R',
    'S': 'Latin Capital Letter S',
    'T': 'Latin Capital Letter T',
    'U': 'Latin Capital Letter U',
    'V': 'Latin Capital Letter V',
    'W': 'Latin Capital Letter W',
    'X': 'Latin Capital Letter X',
    'Y': 'Latin Capital Letter Y',
    'Z': 'Latin Capital Letter Z',
    '[': 'Left Square Bracket',
    '\\': 'Reverse Solidus',
    ']': 'Right Square Bracket',
    '^': 'Circumflex Accent',
    '_': 'Low Line',
    '`': 'Grave Accent',
    'a': 'Latin Small Letter A',
    'b': 'Latin Small Letter B',
    'c': 'Latin Small Letter C',
    'd': 'Latin Small Letter D',
    'e': 'Latin Small Letter E',
    'f': 'Latin Small Letter F',
    'g': 'Latin Small Letter G',
    'h': 'Latin Small Letter H',
    'i': 'Latin Small Letter I',
    'j': 'Latin Small Letter J',
    'k': 'Latin Small Letter K',
    'l': 'Latin Small Letter L',
    'm': 'Latin Small Letter M',
    'n': 'Latin Small Letter N',
    'o': 'Latin Small Letter O',
    'p': 'Latin Small Letter P',
    'q': 'Latin Small Letter Q',
    'r': 'Latin Small Letter R',
    's': 'Latin Small Letter S',
    't': 'Latin Small Letter T',
    'u': 'Latin Small Letter U',
    'v': 'Latin Small Letter V',
    'w': 'Latin Small Letter W',
    'x': 'Latin Small Letter X',
    'y': 'Latin Small Letter Y',
    'z': 'Latin Small Letter Z',
    '{': 'Left Curly Bracket',
    '|': 'Vertical Line',
    '}': 'Right Curly Bracket',
    '~': 'Tilde',
    '\xa0': 'No-Break Space',
    '\xa1': 'Inverted Exclamation Mark',
    '\xa2': 'Cent Sign',
    '\xa3': 'Pound Sign',
    '\xa4': 'Currency Sign',
    '\xa5': 'Yen Sign',
    '\xa6': 'Broken Bar',
    '\xa7': 'Section Sign',
    '\xa8': 'Diaeresis',
    '\xa9': 'Copyright Sign',
    '\xaa': 'Feminine Ordinal Indicator',
    '\xab': 'Left-Pointing Double Angle Quotation Mark',
    '\xac': 'Not Sign',
    '\xae': 'Registered Sign',
    '\xaf': 'Macron',
    '\xb0': 'Degree Sign',
    '\xb1': 'Plus-Minus Sign',
    '\xb2': 'Superscript Two',
    '\xb3': 'Superscript Three',
    '\xb4': 'Acute Accent',
    '\xb5': 'Micro Sign',
    '\xb6': 'Pilcrow Sign',
    '\xb7': 'Middle Dot',
    '\xb8': 'Cedilla',
    '\xb9': 'Superscript One',
    '\xba': 'Masculine Ordinal Indicator',
    '\xbb': 'Right-Pointing Double Angle Quotation Mark',
    '\xbc': 'Vulgar Fraction One Quarter',
    '\xbd': 'Vulgar Fraction One Half',
    '\xbe': 'Vulgar Fraction Three Quarters',
    '\xbf': 'Inverted Question Mark',
    '\xc0': 'Latin Capital Letter A With Grave',
    '\xc1': 'Latin Capital Letter A With Acute',
    '\xc2': 'Latin Capital Letter A With Circumflex',
    '\xc3': 'Latin Capital Letter A With Tilde',
    '\xc4': 'Latin Capital Letter A With Diaeresis',
    '\xc5': 'Latin Capital Letter A With Ring Above',
    '\xc6': 'Latin Capital Letter Ae',
    '\xc7': 'Latin Capital Letter C With Cedilla',
    '\xc8': 'Latin Capital Letter E With Grave',
    '\xc9': 'Latin Capital Letter E With Acute',
    '\xca': 'Latin Capital Letter E With Circumflex',
    '\xcb': 'Latin Capital Letter E With Diaeresis',
    '\xcc': 'Latin Capital Letter I With Grave',
    '\xcd': 'Latin Capital Letter I With Acute',
    '\xce': 'Latin Capital Letter I With Circumflex',
    '\xcf': 'Latin Capital Letter I With Diaeresis',
    '\xd0': 'Latin Capital Letter Eth',
    '\xd1': 'Latin Capital Letter N With Tilde',
    '\xd2': 'Latin Capital Letter O With Grave',
    '\xd3': 'Latin Capital Letter O With Acute',
    '\xd4': 'Latin Capital Letter O With Circumflex',
    '\xd5': 'Latin Capital Letter O With Tilde',
    '\xd6': 'Latin Capital Letter O With Diaeresis',
    '\xd7': 'Multiplication Sign',
    '\xd8': 'Latin Capital Letter O With Stroke',
    '\xd9': 'Latin Capital Letter U With Grave',
    '\xda': 'Latin Capital Letter U With Acute',
    '\xdb': 'Latin Capital Letter U With Circumflex',
    '\xdc': 'Latin Capital Letter U With Diaeresis',
    '\xdd': 'Latin Capital Letter Y With Acute',
    '\xde': 'Latin Capital Letter Thorn',
    '\xdf': 'Latin Small Letter Sharp S',
    '\xe0': 'Latin Small Letter A With Grave',
    '\xe1': 'Latin Small Letter A With Acute',
    '\xe2': 'Latin Small Letter A With Circumflex',
    '\xe3': 'Latin Small Letter A With Tilde',
    '\xe4': 'Latin Small Letter A With Diaeresis',
    '\xe5': 'Latin Small Letter A With Ring Above',
    '\xe6': 'Latin Small Letter Ae',
    '\xe7': 'Latin Small Letter C With Cedilla',
    '\xe8': 'Latin Small Letter E With Grave',
    '\xe9': 'Latin Small Letter E With Acute',
    '\xea': 'Latin Small Letter E With Circumflex',
    '\xeb': 'Latin Small Letter E With Diaeresis',
    '\xec': 'Latin Small Letter I With Grave',
    '\xed': 'Latin Small Letter I With Acute',
    '\xee': 'Latin Small Letter I With Circumflex',
    '\xef': 'Latin Small Letter I With Diaeresis',
    '\xf0': 'Latin Small Letter Eth',
    '\xf1': 'Latin Small Letter N With Tilde',
    '\xf2': 'Latin Small Letter O With Grave',
    '\xf3': 'Latin Small Letter O With Acute',
    '\xf4': 'Latin Small Letter O With Circumflex',
    '\xf5': 'Latin Small Letter O With Tilde',
    '\xf6': 'Latin Small Letter O With Diaeresis',
    '\xf7': 'Division Sign',
    '\xf8': 'Latin Small Letter O With Stroke',
    '\xf9': 'Latin Small Letter U With Grave',
    '\xfa': 'Latin Small Letter U With Acute',
    '\xfb': 'Latin Small Letter U With Circumflex',
    '\xfc': 'Latin Small Letter U With Diaeresis',
    '\xfd': 'Latin Small Letter Y With Acute',
    '\xfe': 'Latin Small Letter Thorn',
    '\xff': 'Latin Small Letter Y With Diaeresis',
    '\u0100': 'Latin Capital Letter A With Macron',
    '\u0101': 'Latin Small Letter A With Macron',
    '\u0102': 'Latin Capital Letter A With Breve',
    '\u0103': 'Latin Small Letter A With Breve',
    '\u0104': 'Latin Capital Letter A With Ogonek',
    '\u0105': 'Latin Small Letter A With Ogonek',
    '\u0106': 'Latin Capital Letter C With Acute',
    '\u0107': 'Latin Small Letter C With Acute',
    '\u0108': 'Latin Capital Letter C With Circumflex',
    '\u0109': 'Latin Small Letter C With Circumflex',
    '\u010a': 'Latin Capital Letter C With Dot Above',
    '\u010b': 'Latin Small Letter C With Dot Above',
    '\u010c': 'Latin Capital Letter C With Caron',
    '\u010d': 'Latin Small Letter C With Caron',
    '\u010e': 'Latin Capital Letter D With Caron',
    '\u010f': 'Latin Small Letter D With Caron',
    '\u0110': 'Latin Capital Letter D With Stroke',
    '\u0111': 'Latin Small Letter D With Stroke',
    '\u0112': 'Latin Capital Letter E With Macron',
    '\u0113': 'Latin Small Letter E With Macron',
    '\u0114': 'Latin Capital Letter E With Breve',
    '\u0115': 'Latin Small Letter E With Breve',
    '\u0116': 'Latin Capital Letter E With Dot Above',
    '\u0117': 'Latin Small Letter E With Dot Above',
    '\u0118': 'Latin Capital Letter E With Ogonek',
    '\u0119': 'Latin Small Letter E With Ogonek',
    '\u011a': 'Latin Capital Letter E With Caron',
    '\u011b': 'Latin Small Letter E With Caron',
    '\u011c': 'Latin Capital Letter G With Circumflex',
    '\u011d': 'Latin Small Letter G With Circumflex',
    '\u011e': 'Latin Capital Letter G With Breve',
    '\u011f': 'Latin Small Letter G With Breve',
    '\u0120': 'Latin Capital Letter G With Dot Above',
    '\u0121': 'Latin Small Letter G With Dot Above',
    '\u0122': 'Latin Capital Letter G With Cedilla',
    '\u0123': 'Latin Small Letter G With Cedilla',
    '\u0124': 'Latin Capital Letter H With Circumflex',
    '\u0125': 'Latin Small Letter H With Circumflex',
    '\u0126': 'Latin Capital Letter H With Stroke',
    '\u0127': 'Latin Small Letter H With Stroke',
    '\u0128': 'Latin Capital Letter I With Tilde',
    '\u0129': 'Latin Small Letter I With Tilde',
    '\u012a': 'Latin Capital Letter I With Macron',
    '\u012b': 'Latin Small Letter I With Macron',
    '\u012c': 'Latin Capital Letter I With Breve',
    '\u012d': 'Latin Small Letter I With Breve',
    '\u012e': 'Latin Capital Letter I With Ogonek',
    '\u012f': 'Latin Small Letter I With Ogonek',
    '\u0130': 'Latin Capital Letter I With Dot Above',
    '\u0131': 'Latin Small Letter Dotless I',
    '\u0132': 'Latin Capital Ligature Ij',
    '\u0133': 'Latin Small Ligature Ij',
    '\u0134': 'Latin Capital Letter J With Circumflex',
    '\u0135': 'Latin Small Letter J With Circumflex',
    '\u0136': 'Latin Capital Letter K With Cedilla',
    '\u0137': 'Latin Small Letter K With Cedilla',
    '\u0138': 'Latin Small Letter Kra',
    '\u0139': 'Latin Capital Letter L With Acute',
    '\u013a': 'Latin Small Letter L With Acute',
    '\u013b': 'Latin Capital Letter L With Cedilla',
    '\u013c': 'Latin Small Letter L With Cedilla',
    '\u013d': 'Latin Capital Letter L With Caron',
    '\u013e': 'Latin Small Letter L With Caron',
    '\u013f': 'Latin Capital Letter L With Middle Dot',
    '\u0140': 'Latin Small Letter L With Middle Dot',
    '\u0141': 'Latin Capital Letter L With Stroke',
    '\u0142': 'Latin Small Letter L With Stroke',
    '\u0143': 'Latin Capital Letter N With Acute',
    '\u0144': 'Latin Small Letter N With Acute',
    '\u0145': 'Latin Capital Letter N With Cedilla',
    '\u0146': 'Latin Small Letter N With Cedilla',
    '\u0147': 'Latin Capital Letter N With Caron',
    '\u0148': 'Latin Small Letter N With Caron',
    '\u0149': 'Latin Small Letter N Preceded By Apostrophe',
    '\u014a': 'Latin Capital Letter Eng',
    '\u014b': 'Latin Small Letter Eng',
    '\u014c': 'Latin Capital Letter O With Macron',
    '\u014d': 'Latin Small Letter O With Macron',
    '\u014e': 'Latin Capital Letter O With Breve',
    '\u014f': 'Latin Small Letter O With Breve',
    '\u0150': 'Latin Capital Letter O With Double Acute',
    '\u0151': 'Latin Small Letter O With Double Acute',
    '\u0152': 'Latin Capital Ligature Oe',
    '\u0153': 'Latin Small Ligature Oe',
    '\u0154': 'Latin Capital Letter R With Acute',
    '\u0155': 'Latin Small Letter R With Acute',
    '\u0156': 'Latin Capital Letter R With Cedilla',
    '\u0157': 'Latin Small Letter R With Cedilla',
    '\u0158': 'Latin Capital Letter R With Caron',
    '\u0159': 'Latin Small Letter R With Caron',
    '\u015a': 'Latin Capital Letter S With Acute',
    '\u015b': 'Latin Small Letter S With Acute',
    '\u015c': 'Latin Capital Letter S With Circumflex',
    '\u015d': 'Latin Small Letter S With Circumflex',
    '\u015e': 'Latin Capital Letter S With Cedilla',
    '\u015f': 'Latin Small Letter S With Cedilla',
    '\u0160': 'Latin Capital Letter S With Caron',
    '\u0161': 'Latin Small Letter S With Caron',
    '\u0162': 'Latin Capital Letter T With Cedilla',
    '\u0163': 'Latin Small Letter T With Cedilla',
    '\u0164': 'Latin Capital Letter T With Caron',
    '\u0165': 'Latin Small Letter T With Caron',
    '\u0166': 'Latin Capital Letter T With Stroke',
    '\u0167': 'Latin Small Letter T With Stroke',
    '\u0168': 'Latin Capital Letter U With Tilde',
    '\u0169': 'Latin Small Letter U With Tilde',
    '\u016a': 'Latin Capital Letter U With Macron',
    '\u016b': 'Latin Small Letter U With Macron',
    '\u016c': 'Latin Capital Letter U With Breve',
    '\u016d': 'Latin Small Letter U With Breve',
    '\u016e': 'Latin Capital Letter U With Ring Above',
    '\u016f': 'Latin Small Letter U With Ring Above',
    '\u0170': 'Latin Capital Letter U With Double Acute',
    '\u0171': 'Latin Small Letter U With Double Acute',
    '\u0172': 'Latin Capital Letter U With Ogonek',
    '\u0173': 'Latin Small Letter U With Ogonek',
    '\u0174': 'Latin Capital Letter W With Circumflex',
    '\u0175': 'Latin Small Letter W With Circumflex',
    '\u0176': 'Latin Capital Letter Y With Circumflex',
    '\u0177': 'Latin Small Letter Y With Circumflex',
    '\u0178': 'Latin Capital Letter Y With Diaeresis',
    '\u0179': 'Latin Capital Letter Z With Acute',
    '\u017a': 'Latin Small Letter Z With Acute',
    '\u017b': 'Latin Capital Letter Z With Dot Above',
    '\u017c': 'Latin Small Letter Z With Dot Above',
    '\u017d': 'Latin Capital Letter Z With Caron',
    '\u017e': 'Latin Small Letter Z With Caron',
    '\u017f': 'Latin Small Letter Long S',
    '\u0180': 'Latin Small Letter B With Stroke',
    '\u0181': 'Latin Capital Letter B With Hook',
    '\u0186': 'Latin Capital Letter Open O',
    '\u0187': 'Latin Capital Letter C With Hook',
    '\u0188': 'Latin Small Letter C With Hook',
    '\u0189': 'Latin Capital Letter African D',
    '\u018a': 'Latin Capital Letter D With Hook',
    '\u018e': 'Latin Capital Letter Reversed E',
    '\u018f': 'Latin Capital Letter Schwa',
    '\u0190': 'Latin Capital Letter Open E',
    '\u0191': 'Latin Capital Letter F With Hook',
    '\u0192': 'Latin Small Letter F With Hook',
    '\u0193': 'Latin Capital Letter G With Hook',
    '\u0194': 'Latin Capital Letter Gamma',
    '\u0195': 'Latin Small Letter Hv',
    '\u0196': 'Latin Capital Letter Iota',
    '\u0197': 'Latin Capital Letter I With Stroke',
    '\u0198': 'Latin Capital Letter K With Hook',
    '\u0199': 'Latin Small Letter K With Hook',
    '\u019a': 'Latin Small Letter L With Bar',
    '\u019c': 'Latin Capital Letter Turned M',
    '\u019d': 'Latin Capital Letter N With Left Hook',
    '\u019e': 'Latin Small Letter N With Long Right Leg',
    '\u019f': 'Latin Capital Letter O With Middle Tilde',
    '\u01a0': 'Latin Capital Letter O With Horn',
    '\u01a1': 'Latin Small Letter O With Horn',
    '\u01a2': 'Latin Capital Letter Oi',
    '\u01a3': 'Latin Small Letter Oi',
    '\u01a4': 'Latin Capital Letter P With Hook',
    '\u01a5': 'Latin Small Letter P With Hook',
    '\u01a6': 'Latin Letter Yr',
    '\u01a9': 'Latin Capital Letter Esh',
    '\u01ab': 'Latin Small Letter T With Palatal Hook',
    '\u01ac': 'Latin Capital Letter T With Hook',
    '\u01ad': 'Latin Small Letter T With Hook',
    '\u01ae': 'Latin Capital Letter T With Retroflex Hook',
    '\u01af': 'Latin Capital Letter U With Horn',
    '\u01b0': 'Latin Small Letter U With Horn',
    '\u01b1': 'Latin Capital Letter Upsilon',
    '\u01b2': 'Latin Capital Letter V With Hook',
    '\u01b3': 'Latin Capital Letter Y With Hook',
    '\u01b4': 'Latin Small Letter Y With Hook',
    '\u01b5': 'Latin Capital Letter Z With Stroke',
    '\u01b6': 'Latin Small Letter Z With Stroke',
    '\u01b7': 'Latin Capital Letter Ezh',
    '\u01bb': 'Latin Letter Two With Stroke',
    '\u01be': 'Latin Letter Inverted Glottal Stop With Stroke',
    '\u01bf': 'Latin Letter Wynn',
    '\u01c0': 'Latin Letter Dental Click',
    '\u01c1': 'Latin Letter Lateral Click',
    '\u01c2': 'Latin Letter Alveolar Click',
    '\u01c3': 'Latin Letter Retroflex Click',
    '\u01c4': 'Latin Capital Letter Dz With Caron',
    '\u01c5': 'Latin Capital Letter D With Small Letter Z With Caron',
    '\u01c6': 'Latin Small Letter Dz With Caron',
    '\u01c7': 'Latin Capital Letter Lj',
    '\u01c8': 'Latin Capital Letter L With Small Letter J',
    '\u01c9': 'Latin Small Letter Lj',
    '\u01ca': 'Latin Capital Letter Nj',
    '\u01cb': 'Latin Capital Letter N With Small Letter J',
    '\u01cc': 'Latin Small Letter Nj',
    '\u01cd': 'Latin Capital Letter A With Caron',
    '\u01ce': 'Latin Small Letter A With Caron',
    '\u01cf': 'Latin Capital Letter I With Caron',
    '\u01d0': 'Latin Small Letter I With Caron',
    '\u01d1': 'Latin Capital Letter O With Caron',
    '\u01d2': 'Latin Small Letter O With Caron',
    '\u01d3': 'Latin Capital Letter U With Caron',
    '\u01d4': 'Latin Small Letter U With Caron',
    '\u01dd': 'Latin Small Letter Turned E',
    '\u01e4': 'Latin Capital Letter G With Stroke',
    '\u01e5': 'Latin Small Letter G With Stroke',
    '\u01e6': 'Latin Capital Letter G With Caron',
    '\u01e7': 'Latin Small Letter G With Caron',
    '\u01e8': 'Latin Capital Letter K With Caron',
    '\u01e9': 'Latin Small Letter K With Caron',
    '\u01ea': 'Latin Capital Letter O With Ogonek',
    '\u01eb': 'Latin Small Letter O With Ogonek',
    '\u01f0': 'Latin Small Letter J With Caron',
    '\u01f1': 'Latin Capital Letter Dz',
    '\u01f2': 'Latin Capital Letter D With Small Letter Z',
    '\u01f3': 'Latin Small Letter Dz',
    '\u01f4': 'Latin Capital Letter G With Acute',
    '\u01f5': 'Latin Small Letter G With Acute',
    '\u01f6': 'Latin Capital Letter Hwair',
    '\u01f8': 'Latin Capital Letter N With Grave',
    '\u01f9': 'Latin Small Letter N With Grave',
    '\u0200': 'Latin Capital Letter A With Double Grave',
    '\u0201': 'Latin Small Letter A With Double Grave',
    '\u0202': 'Latin Capital Letter A With Inverted Breve',
    '\u0203': 'Latin Small Letter A With Inverted Breve',
    '\u0204': 'Latin Capital Letter E With Double Grave',
    '\u0205': 'Latin Small Letter E With Double Grave',
    '\u0206': 'Latin Capital Letter E With Inverted Breve',
    '\u0207': 'Latin Small Letter E With Inverted Breve',
    '\u0208': 'Latin Capital Letter I With Double Grave',
    '\u0209': 'Latin Small Letter I With Double Grave',
    '\u020a': 'Latin Capital Letter I With Inverted Breve',
    '\u020b': 'Latin Small Letter I With Inverted Breve',
    '\u020c': 'Latin Capital Letter O With Double Grave',
    '\u020d': 'Latin Small Letter O With Double Grave',
    '\u020e': 'Latin Capital Letter O With Inverted Breve',
    '\u020f': 'Latin Small Letter O With Inverted Breve',
    '\u0210': 'Latin Capital Letter R With Double Grave',
    '\u0211': 'Latin Small Letter R With Double Grave',
    '\u0212': 'Latin Capital Letter R With Inverted Breve',
    '\u0213': 'Latin Small Letter R With Inverted Breve',
    '\u0214': 'Latin Capital Letter U With Double Grave',
    '\u0215': 'Latin Small Letter U With Double Grave',
    '\u0216': 'Latin Capital Letter U With Inverted Breve',
    '\u0217': 'Latin Small Letter U With Inverted Breve',
    '\u0218': 'Latin Capital Letter S With Comma Below',
    '\u0219': 'Latin Small Letter S With Comma Below',
    '\u021a': 'Latin Capital Letter T With Comma Below',
    '\u021b': 'Latin Small Letter T With Comma Below',
    '\u021d': 'Latin Small Letter Yogh',
    '\u021e': 'Latin Capital Letter H With Caron',
    '\u021f': 'Latin Small Letter H With Caron',
    '\u0220': 'Latin Capital Letter N With Long Right Leg',
    '\u0221': 'Latin Small Letter D With Curl',
    '\u0222': 'Latin Capital Letter Ou',
    '\u0223': 'Latin Small Letter Ou',
    '\u0224': 'Latin Capital Letter Z With Hook',
    '\u0225': 'Latin Small Letter Z With Hook',
    '\u0226': 'Latin Capital Letter A With Dot Above',
    '\u0227': 'Latin Small Letter A With Dot Above',
    '\u0228': 'Latin Capital Letter E With Cedilla',
    '\u022e': 'Latin Capital Letter O With Dot Above',
    '\u022f': 'Latin Small Letter O With Dot Above',
    '\u0232': 'Latin Capital Letter Y With Macron',
    '\u0233': 'Latin Small Letter Y With Macron',
    '\u0234': 'Latin Small Letter L With Curl',
    '\u0235': 'Latin Small Letter N With Curl',
    '\u0236': 'Latin Small Letter T With Curl',
    '\u0237': 'Latin Small Letter Dotless J',
    '\u0238': 'Latin Small Letter Db Digraph',
    '\u0239': 'Latin Small Letter Qp Digraph',
    '\u023a': 'Latin Capital Letter A With Stroke',
    '\u023b': 'Latin Capital Letter C With Stroke',
    '\u023c': 'Latin Small Letter C With Stroke',
    '\u023d': 'Latin Capital Letter L With Bar',
    '\u023e': 'Latin Capital Letter T With Diagonal Stroke',
    '\u023f': 'Latin Small Letter S With Swash Tail',
    '\u0240': 'Latin Small Letter Z With Swash Tail',
    '\u0241': 'Latin Capital Letter Glottal Stop',
    '\u0250': 'Latin Small Letter Turned A',
    '\u0251': 'Latin Small Letter Alpha',
    '\u0252': 'Latin Small Letter Turned Alpha',
    '\u0253': 'Latin Small Letter B With Hook',
    '\u0254': 'Latin Small Letter Open O',
    '\u0255': 'Latin Small Letter C With Curl',
    '\u0256': 'Latin Small Letter D With Tail',
    '\u0257': 'Latin Small Letter D With Hook',
    '\u0258': 'Latin Small Letter Reversed E',
    '\u0259': 'Latin Small Letter Schwa',
    '\u025a': 'Latin Small Letter Schwa With Hook',
    '\u025b': 'Latin Small Letter Open E',
    '\u025c': 'Latin Small Letter Reversed Open E',
    '\u025d': 'Latin Small Letter Reversed Open E With Hook',
    '\u025e': 'Latin Small Letter Closed Reversed Open E',
    '\u025f': 'Latin Small Letter Dotless J With Stroke',
    '\u0260': 'Latin Small Letter G With Hook',
    '\u0261': 'Latin Small Letter Script G',
    '\u0262': 'Latin Letter Small Capital G',
    '\u0263': 'Latin Small Letter Gamma',
    '\u0264': 'Latin Small Letter Rams Horn',
    '\u0265': 'Latin Small Letter Turned H',
    '\u0266': 'Latin Small Letter H With Hook',
    '\u0267': 'Latin Small Letter Heng With Hook',
    '\u0268': 'Latin Small Letter I With Stroke',
    '\u0269': 'Latin Small Letter Iota',
    '\u026a': 'Latin Letter Small Capital I',
    '\u026b': 'Latin Small Letter L With Middle Tilde',
    '\u026c': 'Latin Small Letter L With Belt',
    '\u026d': 'Latin Small Letter L With Retroflex Hook',
    '\u026e': 'Latin Small Letter Lezh',
    '\u026f': 'Latin Small Letter Turned M',
    '\u0270': 'Latin Small Letter Turned M With Long Leg',
    '\u0271': 'Latin Small Letter M With Hook',
    '\u0272': 'Latin Small Letter N With Left Hook',
    '\u0273': 'Latin Small Letter N With Retroflex Hook',
    '\u0274': 'Latin Letter Small Capital N',
    '\u0275': 'Latin Small Letter Barred O',
    '\u0276': 'Latin Letter Small Capital Oe',
    '\u0278': 'Latin Small Letter Phi',
    '\u0279': 'Latin Small Letter Turned R',
    '\u027a': 'Latin Small Letter Turned R With Long Leg',
    '\u027c': 'Latin Small Letter R With Long Leg',
    '\u027d': 'Latin Small Letter R With Tail',
    '\u027e': 'Latin Small Letter R With Fishhook',
    '\u0280': 'Latin Letter Small Capital R',
    '\u0281': 'Latin Letter Small Capital Inverted R',
    '\u0282': 'Latin Small Letter S With Hook',
    '\u0283': 'Latin Small Letter Esh',
    '\u0284': 'Latin Small Letter Dotless J With Stroke And Hook',
    '\u0287': 'Latin Small Letter Turned T',
    '\u0288': 'Latin Small Letter T With Retroflex Hook',
    '\u0289': 'Latin Small Letter U Bar',
    '\u028a': 'Latin Small Letter Upsilon',
    '\u028b': 'Latin Small Letter V With Hook',
    '\u028c': 'Latin Small Letter Turned V',
    '\u028d': 'Latin Small Letter Turned W',
    '\u028e': 'Latin Small Letter Turned Y',
    '\u028f': 'Latin Letter Small Capital Y',
    '\u0290': 'Latin Small Letter Z With Retroflex Hook',
    '\u0291': 'Latin Small Letter Z With Curl',
    '\u0292': 'Latin Small Letter Ezh',
    '\u0294': 'Latin Letter Glottal Stop',
    '\u0295': 'Latin Letter Pharyngeal Voiced Fricative',
    '\u0297': 'Latin Letter Stretched C',
    '\u0298': 'Latin Letter Bilabial Click',
    '\u0299': 'Latin Letter Small Capital B',
    '\u029b': 'Latin Letter Small Capital G With Hook',
    '\u029c': 'Latin Letter Small Capital H',
    '\u029d': 'Latin Small Letter J With Crossed-Tail',
    '\u029e': 'Latin Small Letter Turned K',
    '\u029f': 'Latin Letter Small Capital L',
    '\u02a0': 'Latin Small Letter Q With Hook',
    '\u02a1': 'Latin Letter Glottal Stop With Stroke',
    '\u02a2': 'Latin Letter Reversed Glottal Stop With Stroke',
    '\u02a3': 'Latin Small Letter Dz Digraph',
    '\u02a4': 'Latin Small Letter Dezh Digraph',
    '\u02a6': 'Latin Small Letter Ts Digraph',
    '\u02a7': 'Latin Small Letter Tesh Digraph',
    '\u02a8': 'Latin Small Letter Tc Digraph With Curl',
    '\u02a9': 'Latin Small Letter Feng Digraph',
    '\u02aa': 'Latin Small Letter Ls Digraph',
    '\u02ab': 'Latin Small Letter Lz Digraph',
    '\u02ac': 'Latin Letter Bilabial Percussive',
    '\u02ad': 'Latin Letter Bidental Percussive',
    '\u02b0': 'Modifier Letter Small H',
    '\u02b1': 'Modifier Letter Small H With Hook',
    '\u02b2': 'Modifier Letter Small J',
    '\u02b3': 'Modifier Letter Small R',
    '\u02b7': 'Modifier Letter Small W',
    '\u02b8': 'Modifier Letter Small Y',
    '\u02bb': 'Modifier Letter Turned Comma',
    '\u02bc': 'Modifier Letter Apostrophe',
    '\u02be': 'Modifier Letter Right Half Ring',
    '\u02bf': 'Modifier Letter Left Half Ring',
    '\u02c0': 'Modifier Letter Glottal Stop',
    '\u02c1': 'Modifier Letter Reversed Glottal Stop',
    '\u02c6': 'Modifier Letter Circumflex Accent',
    '\u02c7': 'Caron',
    '\u02c8': 'Modifier Letter Vertical Line',
    '\u02c9': 'Modifier Letter Macron',
    '\u02ca': 'Modifier Letter Acute Accent',
    '\u02cb': 'Modifier Letter Grave Accent',
    '\u02cc': 'Modifier Letter Low Vertical Line',
    '\u02cd': 'Modifier Letter Low Macron',
    '\u02ce': 'Modifier Letter Low Grave Accent',
    '\u02cf': 'Modifier Letter Low Acute Accent',
    '\u02d0': 'Modifier Letter Triangular Colon',
    '\u02d1': 'Modifier Letter Half Triangular Colon',
    '\u02d2': 'Modifier Letter Centred Right Half Ring',
    '\u02d3': 'Modifier Letter Centred Left Half Ring',
    '\u02d4': 'Modifier Letter Up Tack',
    '\u02d5': 'Modifier Letter Down Tack',
    '\u02d8': 'Breve',
    '\u02d9': 'Dot Above',
    '\u02da': 'Ring Above',
    '\u02db': 'Ogonek',
    '\u02dc': 'Small Tilde',
    '\u02de': 'Modifier Letter Rhotic Hook',
    '\u02df': 'Modifier Letter Cross Accent',
    '\u02e0': 'Modifier Letter Small Gamma',
    '\u02e1': 'Modifier Letter Small L',
    '\u02e2': 'Modifier Letter Small S',
    '\u02e3': 'Modifier Letter Small X',
    '\u02e5': 'Modifier Letter Extra-High Tone Bar',
    '\u02e6': 'Modifier Letter High Tone Bar',
    '\u02e7': 'Modifier Letter Mid Tone Bar',
    '\u02e8': 'Modifier Letter Low Tone Bar',
    '\u02e9': 'Modifier Letter Extra-Low Tone Bar',
    '\u0300': 'Combining Grave Accent',
    '\u0301': 'Combining Acute Accent',
    '\u0302': 'Combining Circumflex Accent',
    '\u0303': 'Combining Tilde',
    '\u0304': 'Combining Macron',
    '\u0306': 'Combining Breve',
    '\u0307': 'Combining Dot Above',
    '\u0308': 'Combining Diaeresis',
    '\u0309': 'Combining Hook Above',
    '\u030a': 'Combining Ring Above',
    '\u030b': 'Combining Double Acute Accent',
    '\u030c': 'Combining Caron',
    '\u030d': 'Combining Vertical Line Above',
    '\u030f': 'Combining Double Grave Accent',
    '\u0311': 'Combining Inverted Breve',
    '\u0318': 'Combining Left Tack Below',
    '\u0319': 'Combining Right Tack Below',
    '\u031a': 'Combining Left Angle Above',
    '\u031b': 'Combining Horn',
    '\u031d': 'Combining Up Tack Below',
    '\u031e': 'Combining Down Tack Below',
    '\u031f': 'Combining Plus Sign Below',
    '\u0320': 'Combining Minus Sign Below',
    '\u0321': 'Combining Palatalized Hook Below',
    '\u0322': 'Combining Retroflex Hook Below',
    '\u0323': 'Combining Dot Below',
    '\u0324': 'Combining Diaeresis Below',
    '\u0325': 'Combining Ring Below',
    '\u0326': 'Combining Comma Below',
    '\u0327': 'Combining Cedilla',
    '\u0328': 'Combining Ogonek',
    '\u0329': 'Combining Vertical Line Below',
    '\u032a': 'Combining Bridge Below',
    '\u032b': 'Combining Inverted Double Arch Below',
    '\u032c': 'Combining Caron Below',
    '\u032d': 'Combining Circumflex Accent Below',
    '\u032e': 'Combining Breve Below',
    '\u032f': 'Combining Inverted Breve Below',
    '\u0330': 'Combining Tilde Below',
    '\u0331': 'Combining Macron Below',
    '\u0334': 'Combining Tilde Overlay',
    '\u0335': 'Combining Short Stroke Overlay',
    '\u0336': 'Combining Long Stroke Overlay',
    '\u0337': 'Combining Short Solidus Overlay',
    '\u0338': 'Combining Long Solidus Overlay',
    '\u033a': 'Combining Inverted Bridge Below',
    '\u033b': 'Combining Square Below',
    '\u033c': 'Combining Seagull Below',
    '\u033d': 'Combining X Above',
    '\u0346': 'Combining Bridge Above',
    '\u0357': 'Combining Right Half Ring Above',
    '\u035c': 'Combining Double Breve Below',
    '\u0361': 'Combining Double Inverted Breve',
    '\u0363': 'Combining Latin Small Letter A',
    '\u0364': 'Combining Latin Small Letter E',
    '\u0365': 'Combining Latin Small Letter I',
    '\u0366': 'Combining Latin Small Letter O',
    '\u0367': 'Combining Latin Small Letter U',
    '\u0368': 'Combining Latin Small Letter C',
    '\u0369': 'Combining Latin Small Letter D',
    '\u036a': 'Combining Latin Small Letter H',
    '\u036b': 'Combining Latin Small Letter M',
    '\u036c': 'Combining Latin Small Letter R',
    '\u036d': 'Combining Latin Small Letter T',
    '\u036e': 'Combining Latin Small Letter V',
    '\u036f': 'Combining Latin Small Letter X',
    '\u0374': 'Greek Numeral Sign',
    '\u0375': 'Greek Lower Numeral Sign',
    '\u037e': 'Greek Question Mark',
    '\u0387': 'Greek Ano Teleia',
    '\u0391': 'Greek Capital Letter Alpha',
    '\u0392': 'Greek Capital Letter Beta',
    '\u0393': 'Greek Capital Letter Gamma',
    '\u0394': 'Greek Capital Letter Delta',
    '\u0395': 'Greek Capital Letter Epsilon',
    '\u0396': 'Greek Capital Letter Zeta',
    '\u0397': 'Greek Capital Letter Eta',
    '\u0398': 'Greek Capital Letter Theta',
    '\u0399': 'Greek Capital Letter Iota',
    '\u039a': 'Greek Capital Letter Kappa',
    '\u039b': 'Greek Capital Letter Lamda',
    '\u039c': 'Greek Capital Letter Mu',
    '\u039d': 'Greek Capital Letter Nu',
    '\u039e': 'Greek Capital Letter Xi',
    '\u039f': 'Greek Capital Letter Omicron',
    '\u03a0': 'Greek Capital Letter Pi',
    '\u03a1': 'Greek Capital Letter Rho',
    '\u03a3': 'Greek Capital Letter Sigma',
    '\u03a4': 'Greek Capital Letter Tau',
    '\u03a5': 'Greek Capital Letter Upsilon',
    '\u03a6': 'Greek Capital Letter Phi',
    '\u03a7': 'Greek Capital Letter Chi',
    '\u03a8': 'Greek Capital Letter Psi',
    '\u03a9': 'Greek Capital Letter Omega',
    '\u03b1': 'Greek Small Letter Alpha',
    '\u03b2': 'Greek Small Letter Beta',
    '\u03b3': 'Greek Small Letter Gamma',
    '\u03b4': 'Greek Small Letter Delta',
    '\u03b5': 'Greek Small Letter Epsilon',
    '\u03b6': 'Greek Small Letter Zeta',
    '\u03b7': 'Greek Small Letter Eta',
    '\u03b8': 'Greek Small Letter Theta',
    '\u03b9': 'Greek Small Letter Iota',
    '\u03ba': 'Greek Small Letter Kappa',
    '\u03bb': 'Greek Small Letter Lamda',
    '\u03bc': 'Greek Small Letter Mu',
    '\u03bd': 'Greek Small Letter Nu',
    '\u03be': 'Greek Small Letter Xi',
    '\u03bf': 'Greek Small Letter Omicron',
    '\u03c0': 'Greek Small Letter Pi',
    '\u03c1': 'Greek Small Letter Rho',
    '\u03c2': 'Greek Small Letter Final Sigma',
    '\u03c3': 'Greek Small Letter Sigma',
    '\u03c4': 'Greek Small Letter Tau',
    '\u03c5': 'Greek Small Letter Upsilon',
    '\u03c6': 'Greek Small Letter Phi',
    '\u03c7': 'Greek Small Letter Chi',
    '\u03c8': 'Greek Small Letter Psi',
    '\u03c9': 'Greek Small Letter Omega',
    '\u1d00': 'Latin Letter Small Capital A',
    '\u1d04': 'Latin Letter Small Capital C',
    '\u1d05': 'Latin Letter Small Capital D',
    '\u1d07': 'Latin Letter Small Capital E',
    '\u1d09': 'Latin Small Letter Turned I',
    '\u1d0a': 'Latin Letter Small Capital J',
    '\u1d0b': 'Latin Letter Small Capital K',
    '\u1d0d': 'Latin Letter Small Capital M',
    '\u1d0f': 'Latin Letter Small Capital O',
    '\u1d18': 'Latin Letter Small Capital P',
    '\u1d1b': 'Latin Letter Small Capital T',
    '\u1d1c': 'Latin Letter Small Capital U',
    '\u1d20': 'Latin Letter Small Capital V',
    '\u1d21': 'Latin Letter Small Capital W',
    '\u1d22': 'Latin Letter Small Capital Z',
    '\u1d24': 'Latin Letter Voiced Laryngeal Spirant',
    '\u1d25': 'Latin Letter Ain',
    '\u1d2c': 'Modifier Letter Capital A',
    '\u1d2e': 'Modifier Letter Capital B',
    '\u1d30': 'Modifier Letter Capital D',
    '\u1d31': 'Modifier Letter Capital E',
    '\u1d33': 'Modifier Letter Capital G',
    '\u1d34': 'Modifier Letter Capital H',
    '\u1d35': 'Modifier Letter Capital I',
    '\u1d36': 'Modifier Letter Capital J',
    '\u1d37': 'Modifier Letter Capital K',
    '\u1d38': 'Modifier Letter Capital L',
    '\u1d39': 'Modifier Letter Capital M',
    '\u1d3a': 'Modifier Letter Capital N',
    '\u1d3c': 'Modifier Letter Capital O',
    '\u1d3e': 'Modifier Letter Capital P',
    '\u1d3f': 'Modifier Letter Capital R',
    '\u1d40': 'Modifier Letter Capital T',
    '\u1d41': 'Modifier Letter Capital U',
    '\u1d42': 'Modifier Letter Capital W',
    '\u1d43': 'Modifier Letter Small A',
    '\u1d47': 'Modifier Letter Small B',
    '\u1d48': 'Modifier Letter Small D',
    '\u1d49': 'Modifier Letter Small E',
    '\u1d4a': 'Modifier Letter Small Schwa',
    '\u1d4d': 'Modifier Letter Small G',
    '\u1d4f': 'Modifier Letter Small K',
    '\u1d50': 'Modifier Letter Small M',
    '\u1d52': 'Modifier Letter Small O',
    '\u1d56': 'Modifier Letter Small P',
    '\u1d57': 'Modifier Letter Small T',
    '\u1d58': 'Modifier Letter Small U',
    '\u1d5b': 'Modifier Letter Small V',
    '\u1d6b': 'Latin Small Letter Ue',
    '\u1d6c': 'Latin Small Letter B With Middle Tilde',
    '\u1d6d': 'Latin Small Letter D With Middle Tilde',
    '\u1d6e': 'Latin Small Letter F With Middle Tilde',
    '\u1d6f': 'Latin Small Letter M With Middle Tilde',
    '\u1d70': 'Latin Small Letter N With Middle Tilde',
    '\u1d71': 'Latin Small Letter P With Middle Tilde',
    '\u1d72': 'Latin Small Letter R With Middle Tilde',
    '\u1d74': 'Latin Small Letter S With Middle Tilde',
    '\u1d75': 'Latin Small Letter T With Middle Tilde',
    '\u1d76': 'Latin Small Letter Z With Middle Tilde',
    '\u1d77': 'Latin Small Letter Turned G',
    '\u1d79': 'Latin Small Letter Insular G',
    '\u1d7d': 'Latin Small Letter P With Stroke',
    '\u1d80': 'Latin Small Letter B With Palatal Hook',
    '\u1d81': 'Latin Small Letter D With Palatal Hook',
    '\u1d82': 'Latin Small Letter F With Palatal Hook',
    '\u1d83': 'Latin Small Letter G With Palatal Hook',
    '\u1d84': 'Latin Small Letter K With Palatal Hook',
    '\u1d85': 'Latin Small Letter L With Palatal Hook',
    '\u1d86': 'Latin Small Letter M With Palatal Hook',
    '\u1d87': 'Latin Small Letter N With Palatal Hook',
    '\u1d88': 'Latin Small Letter P With Palatal Hook',
    '\u1d89': 'Latin Small Letter R With Palatal Hook',
    '\u1d8a': 'Latin Small Letter S With Palatal Hook',
    '\u1d8c': 'Latin Small Letter V With Palatal Hook',
    '\u1d8d': 'Latin Small Letter X With Palatal Hook',
    '\u1d8e': 'Latin Small Letter Z With Palatal Hook',
    '\u1d8f': 'Latin Small Letter A With Retroflex Hook',
    '\u1d91': 'Latin Small Letter D With Hook And Tail',
    '\u1d92': 'Latin Small Letter E With Retroflex Hook',
    '\u1d96': 'Latin Small Letter I With Retroflex Hook',
    '\u1d99': 'Latin Small Letter U With Retroflex Hook',
    '\u1d9c': 'Modifier Letter Small C',
    '\u1da0': 'Modifier Letter Small F',
    '\u1dbb': 'Modifier Letter Small Z',
    '\u1e00': 'Latin Capital Letter A With Ring Below',
    '\u1e01': 'Latin Small Letter A With Ring Below',
    '\u1e02': 'Latin Capital Letter B With Dot Above',
    '\u1e03': 'Latin Small Letter B With Dot Above',
    '\u1e04': 'Latin Capital Letter B With Dot Below',
    '\u1e05': 'Latin Small Letter B With Dot Below',
    '\u1e06': 'Latin Capital Letter B With Line Below',
    '\u1e07': 'Latin Small Letter B With Line Below',
    '\u1e0a': 'Latin Capital Letter D With Dot Above',
    '\u1e0b': 'Latin Small Letter D With Dot Above',
    '\u1e0c': 'Latin Capital Letter D With Dot Below',
    '\u1e0d': 'Latin Small Letter D With Dot Below',
    '\u1e0e': 'Latin Capital Letter D With Line Below',
    '\u1e0f': 'Latin Small Letter D With Line Below',
    '\u1e10': 'Latin Capital Letter D With Cedilla',
    '\u1e11': 'Latin Small Letter D With Cedilla',
    '\u1e12': 'Latin Capital Letter D With Circumflex Below',
    '\u1e13': 'Latin Small Letter D With Circumflex Below',
    '\u1e18': 'Latin Capital Letter E With Circumflex Below',
    '\u1e19': 'Latin Small Letter E With Circumflex Below',
    '\u1e1a': 'Latin Capital Letter E With Tilde Below',
    '\u1e1b': 'Latin Small Letter E With Tilde Below',
    '\u1e1e': 'Latin Capital Letter F With Dot Above',
    '\u1e1f': 'Latin Small Letter F With Dot Above',
    '\u1e20': 'Latin Capital Letter G With Macron',
    '\u1e21': 'Latin Small Letter G With Macron',
    '\u1e22': 'Latin Capital Letter H With Dot Above',
    '\u1e23': 'Latin Small Letter H With Dot Above',
    '\u1e24': 'Latin Capital Letter H With Dot Below',
    '\u1e25': 'Latin Small Letter H With Dot Below',
    '\u1e26': 'Latin Capital Letter H With Diaeresis',
    '\u1e27': 'Latin Small Letter H With Diaeresis',
    '\u1e28': 'Latin Capital Letter H With Cedilla',
    '\u1e29': 'Latin Small Letter H With Cedilla',
    '\u1e2a': 'Latin Capital Letter H With Breve Below',
    '\u1e2b': 'Latin Small Letter H With Breve Below',
    '\u1e2c': 'Latin Capital Letter I With Tilde Below',
    '\u1e2d': 'Latin Small Letter I With Tilde Below',
    '\u1e30': 'Latin Capital Letter K With Acute',
    '\u1e31': 'Latin Small Letter K With Acute',
    '\u1e32': 'Latin Capital Letter K With Dot Below',
    '\u1e33': 'Latin Small Letter K With Dot Below',
    '\u1e34': 'Latin Capital Letter K With Line Below',
    '\u1e35': 'Latin Small Letter K With Line Below',
    '\u1e36': 'Latin Capital Letter L With Dot Below',
    '\u1e37': 'Latin Small Letter L With Dot Below',
    '\u1e3a': 'Latin Capital Letter L With Line Below',
    '\u1e3b': 'Latin Small Letter L With Line Below',
    '\u1e3c': 'Latin Capital Letter L With Circumflex Below',
    '\u1e3d': 'Latin Small Letter L With Circumflex Below',
    '\u1e3e': 'Latin Capital Letter M With Acute',
    '\u1e3f': 'Latin Small Letter M With Acute',
    '\u1e40': 'Latin Capital Letter M With Dot Above',
    '\u1e41': 'Latin Small Letter M With Dot Above',
    '\u1e42': 'Latin Capital Letter M With Dot Below',
    '\u1e43': 'Latin Small Letter M With Dot Below',
    '\u1e44': 'Latin Capital Letter N With Dot Above',
    '\u1e45': 'Latin Small Letter N With Dot Above',
    '\u1e46': 'Latin Capital Letter N With Dot Below',
    '\u1e47': 'Latin Small Letter N With Dot Below',
    '\u1e48': 'Latin Capital Letter N With Line Below',
    '\u1e49': 'Latin Small Letter N With Line Below',
    '\u1e4a': 'Latin Capital Letter N With Circumflex Below',
    '\u1e4b': 'Latin Small Letter N With Circumflex Below',
    '\u1e54': 'Latin Capital Letter P With Acute',
    '\u1e55': 'Latin Small Letter P With Acute',
    '\u1e56': 'Latin Capital Letter P With Dot Above',
    '\u1e57': 'Latin Small Letter P With Dot Above',
    '\u1e58': 'Latin Capital Letter R With Dot Above',
    '\u1e59': 'Latin Small Letter R With Dot Above',
    '\u1e5a': 'Latin Capital Letter R With Dot Below',
    '\u1e5b': 'Latin Small Letter R With Dot Below',
    '\u1e5e': 'Latin Capital Letter R With Line Below',
    '\u1e5f': 'Latin Small Letter R With Line Below',
    '\u1e60': 'Latin Capital Letter S With Dot Above',
    '\u1e61': 'Latin Small Letter S With Dot Above',
    '\u1e62': 'Latin Capital Letter S With Dot Below',
    '\u1e63': 'Latin Small Letter S With Dot Below',
    '\u1e6a': 'Latin Capital Letter T With Dot Above',
    '\u1e6b': 'Latin Small Letter T With Dot Above',
    '\u1e6c': 'Latin Capital Letter T With Dot Below',
    '\u1e6d': 'Latin Small Letter T With Dot Below',
    '\u1e6e': 'Latin Capital Letter T With Line Below',
    '\u1e6f': 'Latin Small Letter T With Line Below',
    '\u1e70': 'Latin Capital Letter T With Circumflex Below',
    '\u1e71': 'Latin Small Letter T With Circumflex Below',
    '\u1e72': 'Latin Capital Letter U With Diaeresis Below',
    '\u1e73': 'Latin Small Letter U With Diaeresis Below',
    '\u1e74': 'Latin Capital Letter U With Tilde Below',
    '\u1e75': 'Latin Small Letter U With Tilde Below',
    '\u1e76': 'Latin Capital Letter U With Circumflex Below',
    '\u1e77': 'Latin Small Letter U With Circumflex Below',
    '\u1e7c': 'Latin Capital Letter V With Tilde',
    '\u1e7d': 'Latin Small Letter V With Tilde',
    '\u1e7e': 'Latin Capital Letter V With Dot Below',
    '\u1e7f': 'Latin Small Letter V With Dot Below',
    '\u1e80': 'Latin Capital Letter W With Grave',
    '\u1e81': 'Latin Small Letter W With Grave',
    '\u1e82': 'Latin Capital Letter W With Acute',
    '\u1e83': 'Latin Small Letter W With Acute',
    '\u1e84': 'Latin Capital Letter W With Diaeresis',
    '\u1e85': 'Latin Small Letter W With Diaeresis',
    '\u1e86': 'Latin Capital Letter W With Dot Above',
    '\u1e87': 'Latin Small Letter W With Dot Above',
    '\u1e88': 'Latin Capital Letter W With Dot Below',
    '\u1e89': 'Latin Small Letter W With Dot Below',
    '\u1e8a': 'Latin Capital Letter X With Dot Above',
    '\u1e8b': 'Latin Small Letter X With Dot Above',
    '\u1e8c': 'Latin Capital Letter X With Diaeresis',
    '\u1e8d': 'Latin Small Letter X With Diaeresis',
    '\u1e8e': 'Latin Capital Letter Y With Dot Above',
    '\u1e8f': 'Latin Small Letter Y With Dot Above',
    '\u1e90': 'Latin Capital Letter Z With Circumflex',
    '\u1e91': 'Latin Small Letter Z With Circumflex',
    '\u1e92': 'Latin Capital Letter Z With Dot Below',
    '\u1e93': 'Latin Small Letter Z With Dot Below',
    '\u1e94': 'Latin Capital Letter Z With Line Below',
    '\u1e95': 'Latin Small Letter Z With Line Below',
    '\u1e96': 'Latin Small Letter H With Line Below',
    '\u1e97': 'Latin Small Letter T With Diaeresis',
    '\u1e98': 'Latin Small Letter W With Ring Above',
    '\u1e99': 'Latin Small Letter Y With Ring Above',
    '\u1e9a': 'Latin Small Letter A With Right Half Ring',
    '\u1ea0': 'Latin Capital Letter A With Dot Below',
    '\u1ea1': 'Latin Small Letter A With Dot Below',
    '\u1ea2': 'Latin Capital Letter A With Hook Above',
    '\u1ea3': 'Latin Small Letter A With Hook Above',
    '\u1eb8': 'Latin Capital Letter E With Dot Below',
    '\u1eb9': 'Latin Small Letter E With Dot Below',
    '\u1eba': 'Latin Capital Letter E With Hook Above',
    '\u1ebb': 'Latin Small Letter E With Hook Above',
    '\u1ebc': 'Latin Capital Letter E With Tilde',
    '\u1ebd': 'Latin Small Letter E With Tilde',
    '\u1ec8': 'Latin Capital Letter I With Hook Above',
    '\u1ec9': 'Latin Small Letter I With Hook Above',
    '\u1eca': 'Latin Capital Letter I With Dot Below',
    '\u1ecb': 'Latin Small Letter I With Dot Below',
    '\u1ecc': 'Latin Capital Letter O With Dot Below',
    '\u1ecd': 'Latin Small Letter O With Dot Below',
    '\u1ece': 'Latin Capital Letter O With Hook Above',
    '\u1ecf': 'Latin Small Letter O With Hook Above',
    '\u1ee4': 'Latin Capital Letter U With Dot Below',
    '\u1ee5': 'Latin Small Letter U With Dot Below',
    '\u1ee6': 'Latin Capital Letter U With Hook Above',
    '\u1ee7': 'Latin Small Letter U With Hook Above',
    '\u1ef2': 'Latin Capital Letter Y With Grave',
    '\u1ef3': 'Latin Small Letter Y With Grave',
    '\u1ef4': 'Latin Capital Letter Y With Dot Below',
    '\u1ef5': 'Latin Small Letter Y With Dot Below',
    '\u1ef6': 'Latin Capital Letter Y With Hook Above',
    '\u1ef7': 'Latin Small Letter Y With Hook Above',
    '\u1ef8': 'Latin Capital Letter Y With Tilde',
    '\u1ef9': 'Latin Small Letter Y With Tilde',
    '\u2000': 'En Quad',
    '\u2001': 'Em Quad',
    '\u2002': 'En Space',
    '\u2003': 'Em Space',
    '\u2004': 'Three-Per-Em Space',
    '\u2005': 'Four-Per-Em Space',
    '\u2006': 'Six-Per-Em Space',
    '\u2007': 'Figure Space',
    '\u2008': 'Punctuation Space',
    '\u2009': 'Thin Space',
    '\u200a': 'Hair Space',
    '\u200b': 'Zero Width Space',
    '\u2012': 'Figure Dash',
    '\u2013': 'En Dash',
    '\u2014': 'Em Dash',
    '\u2015': 'Horizontal Bar',
    '\u2016': 'Double Vertical Line',
    '\u2017': 'Double Low Line',
    '\u2018': 'Left Single Quotation Mark',
    '\u2019': 'Right Single Quotation Mark',
    '\u201a': 'Single Low-9 Quotation Mark',
    '\u201c': 'Left Double Quotation Mark',
    '\u201d': 'Right Double Quotation Mark',
    '\u201e': 'Double Low-9 Quotation Mark',
    '\u2020': 'Dagger',
    '\u2021': 'Double Dagger',
    '\u2022': 'Bullet',
    '\u2030': 'Per Mille Sign',
    '\u2031': 'Per Ten Thousand Sign',
    '\u2032': 'Prime',
    '\u2033': 'Double Prime',
    '\u2034': 'Triple Prime',
    '\u2035': 'Reversed Prime',
    '\u2036': 'Reversed Double Prime',
    '\u2037': 'Reversed Triple Prime',
    '\u2038': 'Caret',
    '\u2039': 'Single Left-Pointing Angle Quotation Mark',
    '\u203a': 'Single Right-Pointing Angle Quotation Mark',
    '\u203b': 'Reference Mark',
    '\u203c': 'Double Exclamation Mark',
    '\u203d': 'Interrobang',
    '\u2041': 'Caret Insertion Point',
    '\u2042': 'Asterism',
    '\u2044': 'Fraction Slash',
    '\u2057': 'Quadruple Prime',
    '\u2070': 'Superscript Zero',
    '\u2071': 'Superscript Latin Small Letter I',
    '\u2074': 'Superscript Four',
    '\u2075': 'Superscript Five',
    '\u2076': 'Superscript Six',
    '\u2077': 'Superscript Seven',
    '\u2078': 'Superscript Eight',
    '\u2079': 'Superscript Nine',
    '\u207a': 'Superscript Plus Sign',
    '\u207b': 'Superscript Minus',
    '\u207c': 'Superscript Equals Sign',
    '\u207d': 'Superscript Left Parenthesis',
    '\u207e': 'Superscript Right Parenthesis',
    '\u207f': 'Superscript Latin Small Letter N',
    '\u2080': 'Subscript Zero',
    '\u2081': 'Subscript One',
    '\u2082': 'Subscript Two',
    '\u2083': 'Subscript Three',
    '\u2084': 'Subscript Four',
    '\u2085': 'Subscript Five',
    '\u2086': 'Subscript Six',
    '\u2087': 'Subscript Seven',
    '\u2088': 'Subscript Eight',
    '\u2089': 'Subscript Nine',
    '\u208a': 'Subscript Plus Sign',
    '\u208b': 'Subscript Minus',
    '\u208c': 'Subscript Equals Sign',
    '\u208d': 'Subscript Left Parenthesis',
    '\u208e': 'Subscript Right Parenthesis',
    '\u2090': 'Latin Subscript Small Letter A',
    '\u2091': 'Latin Subscript Small Letter E',
    '\u2092': 'Latin Subscript Small Letter O',
    '\u2093': 'Latin Subscript Small Letter X',
    '\u2094': 'Latin Subscript Small Letter Schwa',
    '\u20a1': 'Colon Sign',
    '\u20a5': 'Mill Sign',
    '\u20a6': 'Naira Sign',
    '\u20a8': 'Rupee Sign',
    '\u20a9': 'Won Sign',
    '\u20aa': 'New Sheqel Sign',
    '\u20ab': 'Dong Sign',
    '\u20ac': 'Euro Sign',
    '\u20ad': 'Kip Sign',
    '\u20ae': 'Tugrik Sign',
    '\u20b1': 'Peso Sign',
    '\u20b2': 'Guarani Sign',
    '\u20b4': 'Hryvnia Sign',
    '\u2100': 'Account Of',
    '\u2101': 'Addressed To The Subject',
    '\u2104': 'Centre Line Symbol',
    '\u2105': 'Care Of',
    '\u2106': 'Cada Una',
    '\u2114': 'L B Bar Symbol',
    '\u2116': 'Numero Sign',
    '\u2117': 'Sound Recording Copyright',
    '\u211e': 'Prescription Take',
    '\u211f': 'Response',
    '\u2120': 'Service Mark',
    '\u2121': 'Telephone Sign',
    '\u2122': 'Trade Mark Sign',
    '\u2125': 'Ounce Sign',
    '\u2126': 'Ohm Sign',
    '\u2127': 'Inverted Ohm Sign',
    '\u212e': 'Estimated Symbol',
    '\u215b': 'Vulgar Fraction One Eighth',
    '\u215c': 'Vulgar Fraction Three Eighths',
    '\u215d': 'Vulgar Fraction Five Eighths',
    '\u215e': 'Vulgar Fraction Seven Eighths',
    '\u215f': 'Fraction Numerator One',
    '\u2190': 'Leftwards Arrow',
    '\u2191': 'Upwards Arrow',
    '\u2192': 'Rightwards Arrow',
    '\u2193': 'Downwards Arrow',
    '\u2194': 'Left Right Arrow',
    '\u2195': 'Up Down Arrow',
    '\u2196': 'North West Arrow',
    '\u2197': 'North East Arrow',
    '\u2198': 'South East Arrow',
    '\u2199': 'South West Arrow',
    '\u21ba': 'Anticlockwise Open Circle Arrow',
    '\u21bb': 'Clockwise Open Circle Arrow',
    '\u21d0': 'Leftwards Double Arrow',
    '\u21d1': 'Upwards Double Arrow',
    '\u21d2': 'Rightwards Double Arrow',
    '\u21d3': 'Downwards Double Arrow',
    '\u21d4': 'Left Right Double Arrow',
    '\u21d5': 'Up Down Double Arrow',
    '\u21d6': 'North West Double Arrow',
    '\u21d7': 'North East Double Arrow',
    '\u21d8': 'South East Double Arrow',
    '\u21d9': 'South West Double Arrow',
    '\u2213': 'Minus-Or-Plus Sign',
    '\u2214': 'Dot Plus',
    '\u2215': 'Division Slash',
    '\u2217': 'Asterisk Operator',
    '\u221a': 'Square Root',
    '\u221b': 'Cube Root',
    '\u221c': 'Fourth Root',
    '\u221e': 'Infinity',
    '\u2248': 'Almost Equal To',
    '\u2260': 'Not Equal To',
    '\u2261': 'Identical To',
    '\u2264': 'Less-Than Or Equal To',
    '\u2265': 'Greater-Than Or Equal To',
    '\u22a2': 'Right Tack',
    '\u22a3': 'Left Tack',
    '\u22a4': 'Down Tack',
    '\u22a5': 'Up Tack',
    '\u22c7': 'Division Times',
    '\u2302': 'House',
    '\u2460': 'Circled Digit One',
    '\u2461': 'Circled Digit Two',
    '\u2462': 'Circled Digit Three',
    '\u2463': 'Circled Digit Four',
    '\u2464': 'Circled Digit Five',
    '\u2465': 'Circled Digit Six',
    '\u2466': 'Circled Digit Seven',
    '\u2467': 'Circled Digit Eight',
    '\u2468': 'Circled Digit Nine',
    '\u2474': 'Parenthesized Digit One',
    '\u2475': 'Parenthesized Digit Two',
    '\u2476': 'Parenthesized Digit Three',
    '\u2477': 'Parenthesized Digit Four',
    '\u2478': 'Parenthesized Digit Five',
    '\u2479': 'Parenthesized Digit Six',
    '\u247a': 'Parenthesized Digit Seven',
    '\u247b': 'Parenthesized Digit Eight',
    '\u247c': 'Parenthesized Digit Nine',
    '\u2488': 'Digit One Full Stop',
    '\u2489': 'Digit Two Full Stop',
    '\u248a': 'Digit Three Full Stop',
    '\u248b': 'Digit Four Full Stop',
    '\u248c': 'Digit Five Full Stop',
    '\u248d': 'Digit Six Full Stop',
    '\u248e': 'Digit Seven Full Stop',
    '\u248f': 'Digit Eight Full Stop',
    '\u2490': 'Digit Nine Full Stop',
    '\u249c': 'Parenthesized Latin Small Letter A',
    '\u249d': 'Parenthesized Latin Small Letter B',
    '\u249e': 'Parenthesized Latin Small Letter C',
    '\u249f': 'Parenthesized Latin Small Letter D',
    '\u24a0': 'Parenthesized Latin Small Letter E',
    '\u24a1': 'Parenthesized Latin Small Letter F',
    '\u24a2': 'Parenthesized Latin Small Letter G',
    '\u24a3': 'Parenthesized Latin Small Letter H',
    '\u24a4': 'Parenthesized Latin Small Letter I',
    '\u24a5': 'Parenthesized Latin Small Letter J',
    '\u24a6': 'Parenthesized Latin Small Letter K',
    '\u24a7': 'Parenthesized Latin Small Letter L',
    '\u24a8': 'Parenthesized Latin Small Letter M',
    '\u24a9': 'Parenthesized Latin Small Letter N',
    '\u24aa': 'Parenthesized Latin Small Letter O',
    '\u24ab': 'Parenthesized Latin Small Letter P',
    '\u24ac': 'Parenthesized Latin Small Letter Q',
    '\u24ad': 'Parenthesized Latin Small Letter R',
    '\u24ae': 'Parenthesized Latin Small Letter S',
    '\u24af': 'Parenthesized Latin Small Letter T',
    '\u24b0': 'Parenthesized Latin Small Letter U',
    '\u24b1': 'Parenthesized Latin Small Letter V',
    '\u24b2': 'Parenthesized Latin Small Letter W',
    '\u24b3': 'Parenthesized Latin Small Letter X',
    '\u24b4': 'Parenthesized Latin Small Letter Y',
    '\u24b5': 'Parenthesized Latin Small Letter Z',
    '\u24b6': 'Circled Latin Capital Letter A',
    '\u24b7': 'Circled Latin Capital Letter B',
    '\u24b8': 'Circled Latin Capital Letter C',
    '\u24b9': 'Circled Latin Capital Letter D',
    '\u24ba': 'Circled Latin Capital Letter E',
    '\u24bb': 'Circled Latin Capital Letter F',
    '\u24bc': 'Circled Latin Capital Letter G',
    '\u24bd': 'Circled Latin Capital Letter H',
    '\u24be': 'Circled Latin Capital Letter I',
    '\u24bf': 'Circled Latin Capital Letter J',
    '\u24c0': 'Circled Latin Capital Letter K',
    '\u24c1': 'Circled Latin Capital Letter L',
    '\u24c2': 'Circled Latin Capital Letter M',
    '\u24c3': 'Circled Latin Capital Letter N',
    '\u24c4': 'Circled Latin Capital Letter O',
    '\u24c5': 'Circled Latin Capital Letter P',
    '\u24c6': 'Circled Latin Capital Letter Q',
    '\u24c7': 'Circled Latin Capital Letter R',
    '\u24c8': 'Circled Latin Capital Letter S',
    '\u24c9': 'Circled Latin Capital Letter T',
    '\u24ca': 'Circled Latin Capital Letter U',
    '\u24cb': 'Circled Latin Capital Letter V',
    '\u24cc': 'Circled Latin Capital Letter W',
    '\u24cd': 'Circled Latin Capital Letter X',
    '\u24ce': 'Circled Latin Capital Letter Y',
    '\u24cf': 'Circled Latin Capital Letter Z',
    '\u24d0': 'Circled Latin Small Letter A',
    '\u24d1': 'Circled Latin Small Letter B',
    '\u24d2': 'Circled Latin Small Letter C',
    '\u24d3': 'Circled Latin Small Letter D',
    '\u24d4': 'Circled Latin Small Letter E',
    '\u24d5': 'Circled Latin Small Letter F',
    '\u24d6': 'Circled Latin Small Letter G',
    '\u24d7': 'Circled Latin Small Letter H',
    '\u24d8': 'Circled Latin Small Letter I',
    '\u24d9': 'Circled Latin Small Letter J',
    '\u24da': 'Circled Latin Small Letter K',
    '\u24db': 'Circled Latin Small Letter L',
    '\u24dc': 'Circled Latin Small Letter M',
    '\u24dd': 'Circled Latin Small Letter N',
    '\u24de': 'Circled Latin Small Letter O',
    '\u24df': 'Circled Latin Small Letter P',
    '\u24e0': 'Circled Latin Small Letter Q',
    '\u24e1': 'Circled Latin Small Letter R',
    '\u24e2': 'Circled Latin Small Letter S',
    '\u24e3': 'Circled Latin Small Letter T',
    '\u24e4': 'Circled Latin Small Letter U',
    '\u24e5': 'Circled Latin Small Letter V',
    '\u24e6': 'Circled Latin Small Letter W',
    '\u24e7': 'Circled Latin Small Letter X',
    '\u24e8': 'Circled Latin Small Letter Y',
    '\u24e9': 'Circled Latin Small Letter Z',
    '\u24ea': 'Circled Digit Zero',
    '\u25a0': 'Black Square',
    '\u25a1': 'White Square',
    '\u25cb': 'White Circle',
    '\u25cf': 'Black Circle',
    '\u2600': 'Black Sun With Rays',
    '\u2601': 'Cloud',
    '\u2602': 'Umbrella',
    '\u2603': 'Snowman',
    '\u2605': 'Black Star',
    '\u2606': 'White Star',
    '\u260e': 'Black Telephone',
    '\u260f': 'White Telephone',
    '\u261a': 'Black Left Pointing Index',
    '\u261b': 'Black Right Pointing Index',
    '\u261c': 'White Left Pointing Index',
    '\u261d': 'White Up Pointing Index',
    '\u261e': 'White Right Pointing Index',
    '\u261f': 'White Down Pointing Index',
    '\u2620': 'Skull And Crossbones',
    '\u2622': 'Radioactive Sign',
    '\u2623': 'Biohazard Sign',
    '\u2624': 'Caduceus',
    '\u2625': 'Ankh',
    '\u262a': 'Star And Crescent',
    '\u262d': 'Hammer And Sickle',
    '\u262e': 'Peace Symbol',
    '\u262f': 'Yin Yang',
    '\u2639': 'White Frowning Face',
    '\u263a': 'White Smiling Face',
    '\u263b': 'Black Smiling Face',
    '\u263c': 'White Sun With Rays',
    '\u2640': 'Female Sign',
    '\u2642': 'Male Sign',
    '\u2660': 'Black Spade Suit',
    '\u2661': 'White Heart Suit',
    '\u2662': 'White Diamond Suit',
    '\u2663': 'Black Club Suit',
    '\u2664': 'White Spade Suit',
    '\u2665': 'Black Heart Suit',
    '\u2666': 'Black Diamond Suit',
    '\u2667': 'White Club Suit',
    '\u2668': 'Hot Springs',
    '\u2669': 'Quarter Note',
    '\u266a': 'Eighth Note',
    '\u266b': 'Beamed Eighth Notes',
    '\u266c': 'Beamed Sixteenth Notes',
    '\u266d': 'Music Flat Sign',
    '\u266e': 'Music Natural Sign',
    '\u266f': 'Music Sharp Sign',
    '\ufb00': 'Latin Small Ligature Ff',
    '\ufb01': 'Latin Small Ligature Fi',
    '\ufb02': 'Latin Small Ligature Fl',
    '\ufb03': 'Latin Small Ligature Ffi',
    '\ufb04': 'Latin Small Ligature Ffl',
    '\ufb05': 'Latin Small Ligature Long S T',
    '\ufb06': 'Latin Small Ligature St',
    '\ufffd': 'Replacement Character'
}